package com.tofly.dyrqGps.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author tuonbed
 * @date 2020/5/19  14:24
 */
@Data
public class RtUser {
    @ApiModelProperty(value = "用户姓名/登陆名")
    private String realName;

    @ApiModelProperty(value = "部门ID")
    private Long departmentId;

    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @ApiModelProperty(value = "equip_info是否只显示最新记录[移动端]")
    private Boolean isLastest;

    @ApiModelProperty(value = "equip_info是否倒序，默认正序")
    private Boolean isDesc;

}
