package com.tofly.dyrqSchedule;

import com.tofly.common.core.configs.AutoConfigConfiguration;
import com.tofly.dyrqSchedule.config.FeignConfig;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.client.SpringCloudApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Import;

/**
 * @author tuonbed
 * @date 2020/5/14  10:05
 */
@SpringCloudApplication
@EnableFeignClients(basePackages = {"com.tofly.base.api","com.tofly.dyrqSchedule.service"},defaultConfiguration =  FeignConfig.class)
@Import(AutoConfigConfiguration.class)
public class DyrqScheduleApplication {
    public static void main(String[] args) {
        SpringApplication.run(DyrqScheduleApplication.class,args);
    }

}
