/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.dyrqSchedule.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.data.elasticsearch.annotations.Document;
import org.springframework.data.elasticsearch.annotations.Field;
import org.springframework.data.elasticsearch.annotations.FieldType;
import org.springframework.format.annotation.DateTimeFormat;
import javax.persistence.Id;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * ${comments}
 *
 * @author wangjian
 * @date Wed May 13 00:00:00 CST 2020
 */
@Data
@Document(indexName = "gps_"+"#{T(com.tofly.common.core.util.Date8Util).getYearMonth()}", type = "gps")
public class EsGpsUpload implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "DEL_FLAG",type= IdType.INPUT)
    @TableLogic
    @ApiModelProperty(value = "$column.comments")
    private String delFlag;
    /**
     * $column.comments
     */
    @Id
    @ApiModelProperty(value = "$column.comments")
    private String id;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private BigDecimal sid;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private Long userid;
    @ApiModelProperty(hidden = true)
    private String UserName;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private BigDecimal locationLongitude;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private BigDecimal locationLatitude;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private BigDecimal speed;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private BigDecimal direction;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private BigDecimal network;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private BigDecimal distance;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Field(type = FieldType.Date,fielddata=true)
    private Date uploadtime;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date gpstime;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private BigDecimal gpsTimespan;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private String gpsPrecision;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private BigDecimal gpsStar;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private BigDecimal gpsSpeed;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private BigDecimal gpsState;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private String gpsId;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private BigDecimal state;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date checkTime;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private BigDecimal gpsSection;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private BigDecimal isvalid;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private BigDecimal gpsType;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private String carid;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private BigDecimal locationX;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private BigDecimal locationY;

}
