/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.dyrqSchedule.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 消息推送附件表
 *
 * @author pra
 * @date Fri Aug 21 00:00:00 CST 2020
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_MESSAGE_FILE",resultMap = "messageFileMap")
@KeySequence("TF_MESSAGE_FILE")
@ApiModel
public class MessageFile extends Model<MessageFile> {
    private static final long serialVersionUID = 1L;

        /**
     * 唯一编码
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "唯一编码")
                private Long id;
                /**
     * 消息表主键
     */
            @ApiModelProperty(value = "消息表主键")
                private Long messageId;
                /**
     * 文件地址
     */
            @ApiModelProperty(value = "文件地址")
                private String filePath;
                /**
     * $column.comments
     */
            @TableLogic
        @ApiModelProperty(value = "$column.comments")
                private String delFlag;
                /**
     * 文件类型：0照片，1语音
     */
            @ApiModelProperty(value = "文件类型：0照片，1语音")
                private String type;
                /**
     * 文件名称
     */
            @ApiModelProperty(value = "文件名称")
                private String fileName;
            
}
