package com.tofly.dyrqSchedule.repository;

import com.tofly.dyrqSchedule.entity.PdaUserDevice;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * 巡检人员与移动设备关联
 */
@Repository
public interface PdaUserDeviceRepository extends JpaRepository<PdaUserDevice, Long> {

    @Query(value = "SELECT * FROM TF_PDA_USER_DEVICE",nativeQuery = true)
    List<Map<String,Object>> selAll();
}
