package com.tofly.dyrqSchedule.repository;


import com.tofly.dyrqSchedule.entity.PlanPoint;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface PlanPointRepository extends JpaRepository<PlanPoint, Long> {

    @Query(value = "SELECT SUM(t.PIPE_LENGTH) as pipeLength FROM TF_PLAN_POINT t WHERE t.POINT_ID IN (?1)",nativeQuery = true)
    Double getPlanPointPipeLengthSum(String arrStr);
}
