package com.tofly.dyrqcar.custom.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.dyrqcar.custom.entity.CustomCarBaseinfo;

import java.util.Map;

public interface CustomCarBaseinfoService extends IService<CustomCarBaseinfo> {
    /**
     * 根据车牌号模糊查询
     * @param page  分页
     * @param number    车牌号
     * @return
     */
    public Page<Map> pageByCarNumber(Page page , String number);

    /**
     * 根据传入id字符串集批量删除
     *
     * @param ids
     * @return
     */
    public boolean removeById(String ids);
}
