package com.tofly.dyrqcar.custom.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.dyrqcar.custom.entity.CarMochaitomCount;
import com.tofly.dyrqcar.custom.entity.CarMochaitomList;
import com.tofly.dyrqcar.custom.entity.CarMochaitomSearch;
import com.tofly.dyrqcar.custom.entity.CustomCarMochaitom;
import com.tofly.dyrqcar.entity.CarMochaitom;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

public interface CustomCarMochaitomService extends IService<CustomCarMochaitom> {
    public Page<Map> pageByCarNumber(Page page, String number);

    List<CarMochaitomCount> pageCount(CarMochaitomSearch carMochaitomSearch) throws ParseException;

    List<CarMochaitom> getList(CarMochaitomList carMochaitomList) throws ParseException;
}
