package com.tofly.dyrqcar.custom.service;

import com.tofly.common.core.entity.ResultRespone;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@FeignClient(contextId = "dyrqGpsService",value = "tofly-dyrqgps")
public interface DyrqGpsService {
    @GetMapping("/esPdaDevice/getAll")
    public ResultRespone getAll(@RequestParam Map param);

    @GetMapping("/esCarGps/getCarLocation")
    ResultRespone getCarLocation(@RequestParam Map param);

    @GetMapping("/esCarGps/getList")
    ResultRespone getList(@RequestParam Map param);

    @GetMapping("/esCarGps/getListPage")
    ResultRespone getListPage(@RequestParam Map param);

    @GetMapping("/esCarGps/updateCarInfo")
    public ResultRespone updateCarInfo();
}
