package com.tofly.dyrqcar.custom.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.dyrqcar.custom.entity.CustomCarType;
import com.tofly.dyrqcar.custom.mapper.CustomCarTypeMapper;
import com.tofly.dyrqcar.custom.service.CustomCarTypeService;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.Map;

@Service
@AllArgsConstructor
@Slf4j
public class CustomCarTypeServiceImpl extends ServiceImpl<CustomCarTypeMapper, CustomCarType> implements CustomCarTypeService {
    @Override
    public Page<Map> pageByName(Page page, String name) {
        return page.setRecords(baseMapper.pageByName(page, name));
    }
}
