package com.tofly.dyrq;

import com.tofly.common.core.configs.AutoConfigConfiguration;
import com.tofly.dyrq.config.FeignConfig;

import java.util.concurrent.ExecutorService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.client.SpringCloudApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Import;


@SpringCloudApplication
@EnableFeignClients(basePackages = {"com.tofly.base.api","com.tofly.dyrq.custom.service"},defaultConfiguration =  FeignConfig.class)
@Import(AutoConfigConfiguration.class)
//@EnableUploadForm
public class DyrqApplication {
        public static void main(String[] args) {
        SpringApplication.run(DyrqApplication.class,args);
    }

}
