package com.tofly.dyrq.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author tuonbed
 * @date 2020/3/26  16:14
 */
@Data
@Component
@ConfigurationProperties(prefix = "dyrq.ftp")
public class FilePathBean {
    private String questionmark;
    private String pdafile;
    private String app;
    private String qrcode;
    private String message;
    private String rushrepair;
    private String trouble;
    private String constructionsite;
    private String maintenance;
    private String maintenanceDevice;
    private String msLog;
    private String appfile;
    private String equipmentfile;
    private String epmtsystem;
    private String epmtbudget;
    private String epmtarchives;
    private String specialepmtfile;
}
