/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.dyrq.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.dyrq.entity.ConstructionProcess;
import com.tofly.dyrq.service.ConstructionProcessService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.web.bind.annotation.ModelAttribute;

import java.util.Arrays;
/**
 * 工地监护过程管理表
 *
 * @author Zhangyu
 * @date Sun Jun 28 00:00:00 GMT+08:00 2020
 */
@RestController
@AllArgsConstructor
@RequestMapping("/constructionprocess")
@Api(tags="工地监护过程管理表接口")
public class ConstructionProcessController {

 /*   private final  ConstructionProcessService constructionProcessService;

    *//**
    * 分页查询
    * @param page 分页对象
    * @param constructionProcess 工地监护过程管理表
    * @return
    *//*
    @GetMapping("/page" )
    @ApiOperation(value = "分页查询")
    public ResultRespone getConstructionProcessPage(Page page, @ModelAttribute ConstructionProcess constructionProcess) {
      return ResultRespone.success(constructionProcessService.page(page, Wrappers.query(constructionProcess)));
    }


    *//**
     * 通过id查询工地监护过程管理表
     * @param id id
     * @return ResultRespone
     *//*
    @GetMapping("/{id}" )
    @ApiOperation(value = "通过ID查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    public ResultRespone getById(@PathVariable("id" ) Long id) {
      return ResultRespone.success(constructionProcessService.getById(id));
    }

    *//**
     * 新增工地监护过程管理表
     * @param constructionProcess 工地监护过程管理表
     * @return ResultRespone
     *//*
    @ToFlyAppLog(title="新增工地监护过程管理表" )
    @ApiOperation(value = "新增工地监护过程管理表")
    @PostMapping
    public ResultRespone save(@RequestBody ConstructionProcess constructionProcess) {
      return ResultRespone.success(constructionProcessService.save(constructionProcess));
    }

    *//**
     * 修改工地监护过程管理表
     * @param constructionProcess 工地监护过程管理表
     * @return ResultRespone
     *//*
    @ToFlyAppLog(title="修改工地监护过程管理表" )
    @ApiOperation(value = "修改工地监护过程管理表")
    @PutMapping
    public ResultRespone updateById(@RequestBody ConstructionProcess constructionProcess) {
      return ResultRespone.success(constructionProcessService.updateById(constructionProcess));
    }

    *//**
     * 通过id删除工地监护过程管理表
     * @param id id
     * @return ResultRespone
     *//*
    @ToFlyAppLog(title="通过id删除工地监护过程管理表" )
    @ApiOperation(value = "通过ID删除工地监护过程管理表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    @DeleteMapping("/{id}" )
    public ResultRespone removeById(@PathVariable Long id) {
      return ResultRespone.success(constructionProcessService.removeById(id));
    }

    *//**
     * 通过id批量删除工地监护过程管理表
     * @param ids id
     * @return ResultRespone
     *//*
    @ToFlyAppLog(title="通过id批量删除工地监护过程管理表" )
    @ApiOperation(value = "通过ID批量删除工地监护过程管理表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
    })
    @DeleteMapping("/deleteByIds" )
    public ResultRespone removeById(String ids) {
        return ResultRespone.success(constructionProcessService.removeByIds(Arrays.asList(ids.split(","))));
    }*/
}
