/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.dyrq.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.dyrq.entity.MaintenanceContent;
import com.tofly.dyrq.service.MaintenanceContentService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.web.bind.annotation.ModelAttribute;

import java.util.Arrays;
/**
 * 巡护检查内容记录表
 *
 * @author admin
 * @date Fri Jun 05 00:00:00 CST 2020
 */
@RestController
@AllArgsConstructor
@RequestMapping("/maintenancecontent")
@Api(tags="巡护检查内容记录表接口")
public class MaintenanceContentController {

//    private final  MaintenanceContentService maintenanceContentService;
//
//    /**
//    * 分页查询
//    * @param page 分页对象
//    * @param maintenanceContent 巡护检查内容记录表
//    * @return
//    */
//    @GetMapping("/page" )
//    @ApiOperation(value = "分页查询")
//    public ResultRespone getMaintenanceContentPage(Page page, @ModelAttribute MaintenanceContent maintenanceContent) {
//      return ResultRespone.success(maintenanceContentService.page(page, Wrappers.query(maintenanceContent)));
//    }
//
//
//    /**
//     * 通过id查询巡护检查内容记录表
//     * @param id id
//     * @return ResultRespone
//     */
//    @GetMapping("/{id}" )
//    @ApiOperation(value = "通过ID查询")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    public ResultRespone getById(@PathVariable("id" ) Long id) {
//      return ResultRespone.success(maintenanceContentService.getById(id));
//    }
//
//    /**
//     * 新增巡护检查内容记录表
//     * @param maintenanceContent 巡护检查内容记录表
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="新增巡护检查内容记录表" )
//    @ApiOperation(value = "新增巡护检查内容记录表")
//    @PostMapping
//    public ResultRespone save(@RequestBody MaintenanceContent maintenanceContent) {
//      return ResultRespone.success(maintenanceContentService.save(maintenanceContent));
//    }
//
//    /**
//     * 修改巡护检查内容记录表
//     * @param maintenanceContent 巡护检查内容记录表
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="修改巡护检查内容记录表" )
//    @ApiOperation(value = "修改巡护检查内容记录表")
//    @PutMapping
//    public ResultRespone updateById(@RequestBody MaintenanceContent maintenanceContent) {
//      return ResultRespone.success(maintenanceContentService.updateById(maintenanceContent));
//    }
//
//    /**
//     * 通过id删除巡护检查内容记录表
//     * @param id id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id删除巡护检查内容记录表" )
//    @ApiOperation(value = "通过ID删除巡护检查内容记录表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    @DeleteMapping("/{id}" )
//    public ResultRespone removeById(@PathVariable Long id) {
//      return ResultRespone.success(maintenanceContentService.removeById(id));
//    }
//
//    /**
//     * 通过id批量删除巡护检查内容记录表
//     * @param ids id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id批量删除巡护检查内容记录表" )
//    @ApiOperation(value = "通过ID批量删除巡护检查内容记录表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
//    })
//    @DeleteMapping("/deleteByIds" )
//    public ResultRespone removeById(String ids) {
//        return ResultRespone.success(maintenanceContentService.removeByIds(Arrays.asList(ids.split(","))));
//    }
}
