/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.dyrq.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.dyrq.entity.MaintenanceDeviceFile;
import com.tofly.dyrq.service.MaintenanceDeviceFileService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.web.bind.annotation.ModelAttribute;

import java.util.Arrays;
/**
 * 设备设施运行维修保养登记附件表
 *
 * @author admin
 * @date Wed Jul 22 00:00:00 CST 2020
 */
@RestController
@AllArgsConstructor
@RequestMapping("/maintenancedevicefile")
@Api(tags="设备设施运行维修保养登记附件表接口")
public class MaintenanceDeviceFileController {

//    private final  MaintenanceDeviceFileService maintenanceDeviceFileService;
//
//    /**
//    * 分页查询
//    * @param page 分页对象
//    * @param maintenanceDeviceFile 设备设施运行维修保养登记附件表
//    * @return
//    */
//    @GetMapping("/page" )
//    @ApiOperation(value = "分页查询")
//    public ResultRespone getMaintenanceDeviceFilePage(Page page, @ModelAttribute MaintenanceDeviceFile maintenanceDeviceFile) {
//      return ResultRespone.success(maintenanceDeviceFileService.page(page, Wrappers.query(maintenanceDeviceFile)));
//    }
//
//
//    /**
//     * 通过id查询设备设施运行维修保养登记附件表
//     * @param id id
//     * @return ResultRespone
//     */
//    @GetMapping("/{id}" )
//    @ApiOperation(value = "通过ID查询")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    public ResultRespone getById(@PathVariable("id" ) Long id) {
//      return ResultRespone.success(maintenanceDeviceFileService.getById(id));
//    }
//
//    /**
//     * 新增设备设施运行维修保养登记附件表
//     * @param maintenanceDeviceFile 设备设施运行维修保养登记附件表
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="新增设备设施运行维修保养登记附件表" )
//    @ApiOperation(value = "新增设备设施运行维修保养登记附件表")
//    @PostMapping
//    public ResultRespone save(@RequestBody MaintenanceDeviceFile maintenanceDeviceFile) {
//      return ResultRespone.success(maintenanceDeviceFileService.save(maintenanceDeviceFile));
//    }
//
//    /**
//     * 修改设备设施运行维修保养登记附件表
//     * @param maintenanceDeviceFile 设备设施运行维修保养登记附件表
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="修改设备设施运行维修保养登记附件表" )
//    @ApiOperation(value = "修改设备设施运行维修保养登记附件表")
//    @PutMapping
//    public ResultRespone updateById(@RequestBody MaintenanceDeviceFile maintenanceDeviceFile) {
//      return ResultRespone.success(maintenanceDeviceFileService.updateById(maintenanceDeviceFile));
//    }
//
//    /**
//     * 通过id删除设备设施运行维修保养登记附件表
//     * @param id id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id删除设备设施运行维修保养登记附件表" )
//    @ApiOperation(value = "通过ID删除设备设施运行维修保养登记附件表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    @DeleteMapping("/{id}" )
//    public ResultRespone removeById(@PathVariable Long id) {
//      return ResultRespone.success(maintenanceDeviceFileService.removeById(id));
//    }
//
//    /**
//     * 通过id批量删除设备设施运行维修保养登记附件表
//     * @param ids id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id批量删除设备设施运行维修保养登记附件表" )
//    @ApiOperation(value = "通过ID批量删除设备设施运行维修保养登记附件表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
//    })
//    @DeleteMapping("/deleteByIds" )
//    public ResultRespone removeById(String ids) {
//        return ResultRespone.success(maintenanceDeviceFileService.removeByIds(Arrays.asList(ids.split(","))));
//    }
}
