/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.dyrq.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.dyrq.entity.MaintenanceFile;
import com.tofly.dyrq.service.MaintenanceFileService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.web.bind.annotation.ModelAttribute;

import java.util.Arrays;
/**
 * 调压站及楼栋调压箱巡护记录附件表
 *
 * @author admin
 * @date Wed Jul 22 00:00:00 CST 2020
 */
@RestController
@AllArgsConstructor
@RequestMapping("/maintenancefile")
@Api(tags="调压站及楼栋调压箱巡护记录附件表接口")
public class MaintenanceFileController {

//    private final  MaintenanceFileService maintenanceFileService;
//
//    /**
//    * 分页查询
//    * @param page 分页对象
//    * @param maintenanceFile 调压站及楼栋调压箱巡护记录附件表
//    * @return
//    */
//    @GetMapping("/page" )
//    @ApiOperation(value = "分页查询")
//    public ResultRespone getMaintenanceFilePage(Page page, @ModelAttribute MaintenanceFile maintenanceFile) {
//      return ResultRespone.success(maintenanceFileService.page(page, Wrappers.query(maintenanceFile)));
//    }
//
//
//    /**
//     * 通过id查询调压站及楼栋调压箱巡护记录附件表
//     * @param id id
//     * @return ResultRespone
//     */
//    @GetMapping("/{id}" )
//    @ApiOperation(value = "通过ID查询")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    public ResultRespone getById(@PathVariable("id" ) Long id) {
//      return ResultRespone.success(maintenanceFileService.getById(id));
//    }
//
//    /**
//     * 新增调压站及楼栋调压箱巡护记录附件表
//     * @param maintenanceFile 调压站及楼栋调压箱巡护记录附件表
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="新增调压站及楼栋调压箱巡护记录附件表" )
//    @ApiOperation(value = "新增调压站及楼栋调压箱巡护记录附件表")
//    @PostMapping
//    public ResultRespone save(@RequestBody MaintenanceFile maintenanceFile) {
//      return ResultRespone.success(maintenanceFileService.save(maintenanceFile));
//    }
//
//    /**
//     * 修改调压站及楼栋调压箱巡护记录附件表
//     * @param maintenanceFile 调压站及楼栋调压箱巡护记录附件表
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="修改调压站及楼栋调压箱巡护记录附件表" )
//    @ApiOperation(value = "修改调压站及楼栋调压箱巡护记录附件表")
//    @PutMapping
//    public ResultRespone updateById(@RequestBody MaintenanceFile maintenanceFile) {
//      return ResultRespone.success(maintenanceFileService.updateById(maintenanceFile));
//    }
//
//    /**
//     * 通过id删除调压站及楼栋调压箱巡护记录附件表
//     * @param id id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id删除调压站及楼栋调压箱巡护记录附件表" )
//    @ApiOperation(value = "通过ID删除调压站及楼栋调压箱巡护记录附件表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    @DeleteMapping("/{id}" )
//    public ResultRespone removeById(@PathVariable Long id) {
//      return ResultRespone.success(maintenanceFileService.removeById(id));
//    }
//
//    /**
//     * 通过id批量删除调压站及楼栋调压箱巡护记录附件表
//     * @param ids id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id批量删除调压站及楼栋调压箱巡护记录附件表" )
//    @ApiOperation(value = "通过ID批量删除调压站及楼栋调压箱巡护记录附件表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
//    })
//    @DeleteMapping("/deleteByIds" )
//    public ResultRespone removeById(String ids) {
//        return ResultRespone.success(maintenanceFileService.removeByIds(Arrays.asList(ids.split(","))));
//    }
}
