/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.dyrq.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.dyrq.entity.MessageFile;
import com.tofly.dyrq.service.MessageFileService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.web.bind.annotation.ModelAttribute;

import java.util.Arrays;
/**
 * 消息推送附件表
 *
 * @author admin
 * @date Tue Jun 16 00:00:00 CST 2020
 */
@RestController
@AllArgsConstructor
@RequestMapping("/messagefile")
@Api(tags="消息推送附件表接口")
public class MessageFileController {

    private final  MessageFileService messageFileService;

    /**
    * 分页查询
    * @param page 分页对象
    * @param messageFile 消息推送附件表
    * @return
    */
//    @GetMapping("/page" )
//    @ApiOperation(value = "分页查询")
//    public ResultRespone getMessageFilePage(Page page, @ModelAttribute MessageFile messageFile) {
//      return ResultRespone.success(messageFileService.page(page, Wrappers.query(messageFile)));
//    }
//
//
//    /**
//     * 通过id查询消息推送附件表
//     * @param id id
//     * @return ResultRespone
//     */
//    @GetMapping("/{id}" )
//    @ApiOperation(value = "通过ID查询")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    public ResultRespone getById(@PathVariable("id" ) Long id) {
//      return ResultRespone.success(messageFileService.getById(id));
//    }
//
//    /**
//     * 新增消息推送附件表
//     * @param messageFile 消息推送附件表
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="新增消息推送附件表" )
//    @ApiOperation(value = "新增消息推送附件表")
//    @PostMapping
//    public ResultRespone save(@RequestBody MessageFile messageFile) {
//      return ResultRespone.success(messageFileService.save(messageFile));
//    }
//
//    /**
//     * 修改消息推送附件表
//     * @param messageFile 消息推送附件表
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="修改消息推送附件表" )
//    @ApiOperation(value = "修改消息推送附件表")
//    @PutMapping
//    public ResultRespone updateById(@RequestBody MessageFile messageFile) {
//      return ResultRespone.success(messageFileService.updateById(messageFile));
//    }
//
//    /**
//     * 通过id删除消息推送附件表
//     * @param id id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id删除消息推送附件表" )
//    @ApiOperation(value = "通过ID删除消息推送附件表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    @DeleteMapping("/{id}" )
//    public ResultRespone removeById(@PathVariable Long id) {
//      return ResultRespone.success(messageFileService.removeById(id));
//    }
//
//    /**
//     * 通过id批量删除消息推送附件表
//     * @param ids id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id批量删除消息推送附件表" )
//    @ApiOperation(value = "通过ID批量删除消息推送附件表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
//    })
//    @DeleteMapping("/deleteByIds" )
//    public ResultRespone removeById(String ids) {
//        return ResultRespone.success(messageFileService.removeByIds(Arrays.asList(ids.split(","))));
//    }
}
