/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.dyrq.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.dyrq.entity.ScadaAlarmrecord;
import com.tofly.dyrq.service.ScadaAlarmrecordService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.web.bind.annotation.ModelAttribute;

import java.util.Arrays;
/**
 * 4.1.28	SCADA报警记录表
 *
 * @author admin
 * @date Tue Apr 14 00:00:00 CST 2020
 */
@RestController
@AllArgsConstructor
//@RequestMapping("/scadaalarmrecord")
//@Api(tags="4.1.28	SCADA报警记录表接口")
public class ScadaAlarmrecordController {

    private final  ScadaAlarmrecordService scadaAlarmrecordService;

    /**
    * 分页查询
//    * @param page 分页对象
//    * @param scadaAlarmrecord 4.1.28	SCADA报警记录表
//    * @return
//    */
//    @GetMapping("/page" )
//    @ApiOperation(value = "分页查询")
//    public ResultRespone getScadaAlarmrecordPage(Page page, @ModelAttribute ScadaAlarmrecord scadaAlarmrecord) {
//      return ResultRespone.success(scadaAlarmrecordService.page(page, Wrappers.query(scadaAlarmrecord)));
//    }
//
//
//    /**
//     * 通过id查询4.1.28	SCADA报警记录表
//     * @param delFlag id
//     * @return ResultRespone
//     */
//    @GetMapping("/{delFlag}" )
//    @ApiOperation(value = "通过ID查询")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "delFlag", value = "ID", required = true, dataType = "String")
//    })
//    public ResultRespone getById(@PathVariable("delFlag" ) String delFlag) {
//      return ResultRespone.success(scadaAlarmrecordService.getById(delFlag));
//    }
//
//    /**
//     * 新增4.1.28	SCADA报警记录表
//     * @param scadaAlarmrecord 4.1.28	SCADA报警记录表
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="新增4.1.28	SCADA报警记录表" )
//    @ApiOperation(value = "新增4.1.28	SCADA报警记录表")
//    @PostMapping
//    public ResultRespone save(@RequestBody ScadaAlarmrecord scadaAlarmrecord) {
//      return ResultRespone.success(scadaAlarmrecordService.save(scadaAlarmrecord));
//    }
//
//    /**
//     * 修改4.1.28	SCADA报警记录表
//     * @param scadaAlarmrecord 4.1.28	SCADA报警记录表
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="修改4.1.28	SCADA报警记录表" )
//    @ApiOperation(value = "修改4.1.28	SCADA报警记录表")
//    @PutMapping
//    public ResultRespone updateById(@RequestBody ScadaAlarmrecord scadaAlarmrecord) {
//      return ResultRespone.success(scadaAlarmrecordService.updateById(scadaAlarmrecord));
//    }
//
//    /**
//     * 通过id删除4.1.28	SCADA报警记录表
//     * @param delFlag id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id删除4.1.28	SCADA报警记录表" )
//    @ApiOperation(value = "通过ID删除4.1.28	SCADA报警记录表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "delFlag", value = "ID", required = true, dataType = "String")
//    })
//    @DeleteMapping("/{delFlag}" )
//    public ResultRespone removeById(@PathVariable String delFlag) {
//      return ResultRespone.success(scadaAlarmrecordService.removeById(delFlag));
//    }
//
//    /**
//     * 通过id批量删除4.1.28	SCADA报警记录表
//     * @param ids id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id批量删除4.1.28	SCADA报警记录表" )
//    @ApiOperation(value = "通过ID批量删除4.1.28	SCADA报警记录表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
//    })
//    @DeleteMapping("/deleteByIds" )
//    public ResultRespone removeById(String ids) {
//        return ResultRespone.success(scadaAlarmrecordService.removeByIds(Arrays.asList(ids.split(","))));
//    }
}
