/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.dyrq.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.dyrq.entity.ScadaHistory;
import com.tofly.dyrq.service.ScadaHistoryService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.web.bind.annotation.ModelAttribute;

import java.util.Arrays;
/**
 * scada历史数据表
 *
 * @author admin
 * @date Tue Apr 14 00:00:00 CST 2020
 */
@RestController
@AllArgsConstructor
//@RequestMapping("/scadahistory")
//@Api(tags="scada历史数据表接口")
public class ScadaHistoryController {

    private final  ScadaHistoryService scadaHistoryService;

//    /**
//    * 分页查询
//    * @param page 分页对象
//    * @param scadaHistory scada历史数据表
//    * @return
//    */
//    @GetMapping("/page" )
//    @ApiOperation(value = "分页查询")
//    public ResultRespone getScadaHistoryPage(Page page, @ModelAttribute ScadaHistory scadaHistory) {
//      return ResultRespone.success(scadaHistoryService.page(page, Wrappers.query(scadaHistory)));
//    }
//
//
//    /**
//     * 通过id查询scada历史数据表
//     * @param delFlag id
//     * @return ResultRespone
//     */
//    @GetMapping("/{delFlag}" )
//    @ApiOperation(value = "通过ID查询")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "delFlag", value = "ID", required = true, dataType = "String")
//    })
//    public ResultRespone getById(@PathVariable("delFlag" ) String delFlag) {
//      return ResultRespone.success(scadaHistoryService.getById(delFlag));
//    }
//
//    /**
//     * 新增scada历史数据表
//     * @param scadaHistory scada历史数据表
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="新增scada历史数据表" )
//    @ApiOperation(value = "新增scada历史数据表")
//    @PostMapping
//    public ResultRespone save(@RequestBody ScadaHistory scadaHistory) {
//      return ResultRespone.success(scadaHistoryService.save(scadaHistory));
//    }
//
//    /**
//     * 修改scada历史数据表
//     * @param scadaHistory scada历史数据表
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="修改scada历史数据表" )
//    @ApiOperation(value = "修改scada历史数据表")
//    @PutMapping
//    public ResultRespone updateById(@RequestBody ScadaHistory scadaHistory) {
//      return ResultRespone.success(scadaHistoryService.updateById(scadaHistory));
//    }
//
//    /**
//     * 通过id删除scada历史数据表
//     * @param delFlag id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id删除scada历史数据表" )
//    @ApiOperation(value = "通过ID删除scada历史数据表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "delFlag", value = "ID", required = true, dataType = "String")
//    })
//    @DeleteMapping("/{delFlag}" )
//    public ResultRespone removeById(@PathVariable String delFlag) {
//      return ResultRespone.success(scadaHistoryService.removeById(delFlag));
//    }
//
//    /**
//     * 通过id批量删除scada历史数据表
//     * @param ids id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id批量删除scada历史数据表" )
//    @ApiOperation(value = "通过ID批量删除scada历史数据表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
//    })
//    @DeleteMapping("/deleteByIds" )
//    public ResultRespone removeById(String ids) {
//        return ResultRespone.success(scadaHistoryService.removeByIds(Arrays.asList(ids.split(","))));
//    }
}
