/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.dyrq.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.dyrq.entity.ScadapntsCon;
import com.tofly.dyrq.service.ScadapntsConService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.web.bind.annotation.ModelAttribute;

import java.util.Arrays;
/**
 * scada站点表
 *
 * @author admin
 * @date Tue Apr 14 00:00:00 CST 2020
 */
@RestController
@AllArgsConstructor
//@RequestMapping("/scadapntscon")
//@Api(tags="scada站点表接口")
public class ScadapntsConController {

    private final  ScadapntsConService scadapntsConService;

//    /**
//    * 分页查询
//    * @param page 分页对象
//    * @param scadapntsCon scada站点表
//    * @return
//    */
//    @GetMapping("/page" )
//    @ApiOperation(value = "分页查询")
//    public ResultRespone getScadapntsConPage(Page page, @ModelAttribute ScadapntsCon scadapntsCon) {
//      return ResultRespone.success(scadapntsConService.page(page, Wrappers.query(scadapntsCon)));
//    }
//
//
//    /**
//     * 通过id查询scada站点表
//     * @param delFlag id
//     * @return ResultRespone
//     */
//    @GetMapping("/{delFlag}" )
//    @ApiOperation(value = "通过ID查询")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "delFlag", value = "ID", required = true, dataType = "String")
//    })
//    public ResultRespone getById(@PathVariable("delFlag" ) String delFlag) {
//      return ResultRespone.success(scadapntsConService.getById(delFlag));
//    }
//
//    /**
//     * 新增scada站点表
//     * @param scadapntsCon scada站点表
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="新增scada站点表" )
//    @ApiOperation(value = "新增scada站点表")
//    @PostMapping
//    public ResultRespone save(@RequestBody ScadapntsCon scadapntsCon) {
//      return ResultRespone.success(scadapntsConService.save(scadapntsCon));
//    }
//
//    /**
//     * 修改scada站点表
//     * @param scadapntsCon scada站点表
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="修改scada站点表" )
//    @ApiOperation(value = "修改scada站点表")
//    @PutMapping
//    public ResultRespone updateById(@RequestBody ScadapntsCon scadapntsCon) {
//      return ResultRespone.success(scadapntsConService.updateById(scadapntsCon));
//    }
//
//    /**
//     * 通过id删除scada站点表
//     * @param delFlag id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id删除scada站点表" )
//    @ApiOperation(value = "通过ID删除scada站点表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "delFlag", value = "ID", required = true, dataType = "String")
//    })
//    @DeleteMapping("/{delFlag}" )
//    public ResultRespone removeById(@PathVariable String delFlag) {
//      return ResultRespone.success(scadapntsConService.removeById(delFlag));
//    }
//
//    /**
//     * 通过id批量删除scada站点表
//     * @param ids id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id批量删除scada站点表" )
//    @ApiOperation(value = "通过ID批量删除scada站点表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
//    })
//    @DeleteMapping("/deleteByIds" )
//    public ResultRespone removeById(String ids) {
//        return ResultRespone.success(scadapntsConService.removeByIds(Arrays.asList(ids.split(","))));
//    }
}
