/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.dyrq.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.dyrq.entity.ScadapntsDes;
import com.tofly.dyrq.service.ScadapntsDesService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.web.bind.annotation.ModelAttribute;

import java.util.Arrays;
/**
 * scada参数描述信息(中文描述，单位)
 *
 * @author admin
 * @date Tue Apr 14 00:00:00 CST 2020
 */
@RestController
@AllArgsConstructor
//@RequestMapping("/scadapntsdes")
//@Api(tags="scada参数描述信息(中文描述，单位)接口")
public class ScadapntsDesController {

    private final  ScadapntsDesService scadapntsDesService;

    /**
//    * 分页查询
//    * @param page 分页对象
//    * @param scadapntsDes scada参数描述信息(中文描述，单位)
//    * @return
//    */
//    @GetMapping("/page" )
//    @ApiOperation(value = "分页查询")
//    public ResultRespone getScadapntsDesPage(Page page, @ModelAttribute ScadapntsDes scadapntsDes) {
//      return ResultRespone.success(scadapntsDesService.page(page, Wrappers.query(scadapntsDes)));
//    }
//
//
//    /**
//     * 通过id查询scada参数描述信息(中文描述，单位)
//     * @param ptnum id
//     * @return ResultRespone
//     */
//    @GetMapping("/{ptnum}" )
//    @ApiOperation(value = "通过ID查询")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "ptnum", value = "ID", required = true, dataType = "BigDecimal")
//    })
//    public ResultRespone getById(@PathVariable("ptnum" ) BigDecimal ptnum) {
//      return ResultRespone.success(scadapntsDesService.getById(ptnum));
//    }
//
//    /**
//     * 新增scada参数描述信息(中文描述，单位)
//     * @param scadapntsDes scada参数描述信息(中文描述，单位)
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="新增scada参数描述信息(中文描述，单位)" )
//    @ApiOperation(value = "新增scada参数描述信息(中文描述，单位)")
//    @PostMapping
//    public ResultRespone save(@RequestBody ScadapntsDes scadapntsDes) {
//      return ResultRespone.success(scadapntsDesService.save(scadapntsDes));
//    }
//
//    /**
//     * 修改scada参数描述信息(中文描述，单位)
//     * @param scadapntsDes scada参数描述信息(中文描述，单位)
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="修改scada参数描述信息(中文描述，单位)" )
//    @ApiOperation(value = "修改scada参数描述信息(中文描述，单位)")
//    @PutMapping
//    public ResultRespone updateById(@RequestBody ScadapntsDes scadapntsDes) {
//      return ResultRespone.success(scadapntsDesService.updateById(scadapntsDes));
//    }
//
//    /**
//     * 通过id删除scada参数描述信息(中文描述，单位)
//     * @param ptnum id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id删除scada参数描述信息(中文描述，单位)" )
//    @ApiOperation(value = "通过ID删除scada参数描述信息(中文描述，单位)")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "ptnum", value = "ID", required = true, dataType = "BigDecimal")
//    })
//    @DeleteMapping("/{ptnum}" )
//    public ResultRespone removeById(@PathVariable BigDecimal ptnum) {
//      return ResultRespone.success(scadapntsDesService.removeById(ptnum));
//    }
//
//    /**
//     * 通过id批量删除scada参数描述信息(中文描述，单位)
//     * @param ids id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id批量删除scada参数描述信息(中文描述，单位)" )
//    @ApiOperation(value = "通过ID批量删除scada参数描述信息(中文描述，单位)")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
//    })
//    @DeleteMapping("/deleteByIds" )
//    public ResultRespone removeById(String ids) {
//        return ResultRespone.success(scadapntsDesService.removeByIds(Arrays.asList(ids.split(","))));
//    }
}
