///*
// * Author: wangjian
// * 生成controller
// */
//package com.tofly.dyrq.controller;
//
//import com.baomidou.mybatisplus.core.toolkit.Wrappers;
//import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
//import com.tofly.common.core.entity.ResultRespone;
//import com.tofly.common.log.annotation.ToFlyAppLog;
//import com.tofly.dyrq.entity.SysUploadFile;
//import com.tofly.dyrq.service.SysUploadFileService;
//import lombok.AllArgsConstructor;
//import org.springframework.web.bind.annotation.*;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiOperation;
//import io.swagger.annotations.ApiImplicitParam;
//import io.swagger.annotations.ApiImplicitParams;
//import org.springframework.web.bind.annotation.ModelAttribute;
//
//import java.util.Arrays;
///**
// * 附件\图片\上传表
// *
// * @author wangjian
// * @date Tue Apr 28 00:00:00 CST 2020
// */
//@RestController
//@AllArgsConstructor
//@RequestMapping("/sysuploadfile")
//@Api(tags="附件\图片\上传表接口")
//public class SysUploadFileController {
//
//    private final  SysUploadFileService sysUploadFileService;
//
//    /**
//    * 分页查询
//    * @param page 分页对象
//    * @param sysUploadFile 附件\图片\上传表
//    * @return
//    */
//    @GetMapping("/page" )
//    @ApiOperation(value = "分页查询")
//    public ResultRespone getSysUploadFilePage(Page page, @ModelAttribute SysUploadFile sysUploadFile) {
//      return ResultRespone.success(sysUploadFileService.page(page, Wrappers.query(sysUploadFile)));
//    }
//
//
//    /**
//     * 通过id查询附件\图片\上传表
//     * @param id id
//     * @return ResultRespone
//     */
//    @GetMapping("/{id}" )
//    @ApiOperation(value = "通过ID查询")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    public ResultRespone getById(@PathVariable("id" ) Long id) {
//      return ResultRespone.success(sysUploadFileService.getById(id));
//    }
//
//    /**
//     * 新增附件\图片\上传表
//     * @param sysUploadFile 附件\图片\上传表
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="新增附件\图片\上传表" )
//    @ApiOperation(value = "新增附件\图片\上传表")
//    @PostMapping
//    public ResultRespone save(@RequestBody SysUploadFile sysUploadFile) {
//      return ResultRespone.success(sysUploadFileService.save(sysUploadFile));
//    }
//
//    /**
//     * 修改附件\图片\上传表
//     * @param sysUploadFile 附件\图片\上传表
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="修改附件\图片\上传表" )
//    @ApiOperation(value = "修改附件\图片\上传表")
//    @PutMapping
//    public ResultRespone updateById(@RequestBody SysUploadFile sysUploadFile) {
//      return ResultRespone.success(sysUploadFileService.updateById(sysUploadFile));
//    }
//
//    /**
//     * 通过id删除附件\图片\上传表
//     * @param id id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id删除附件\图片\上传表" )
//    @ApiOperation(value = "通过ID删除附件\图片\上传表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    @DeleteMapping("/{id}" )
//    public ResultRespone removeById(@PathVariable Long id) {
//      return ResultRespone.success(sysUploadFileService.removeById(id));
//    }
//
//    /**
//     * 通过id批量删除附件\图片\上传表
//     * @param ids id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id批量删除附件\图片\上传表" )
//    @ApiOperation(value = "通过ID批量删除附件\图片\上传表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
//    })
//    @DeleteMapping("/deleteByIds" )
//    public ResultRespone removeById(String ids) {
//        return ResultRespone.success(sysUploadFileService.removeByIds(Arrays.asList(ids.split(","))));
//    }
//}
