/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.dyrq.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.dyrq.entity.TroubleAuditScheme;
import com.tofly.dyrq.service.TroubleAuditSchemeService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.web.bind.annotation.ModelAttribute;

import java.util.Arrays;
/**
 * 隐患部长审核方案表
 *
 * @author Zhangyu
 * @date Mon Aug 03 00:00:00 GMT+08:00 2020
 */
@RestController
@AllArgsConstructor
@RequestMapping("/troubleauditscheme")
@Api(tags="隐患部长审核方案表接口")
public class TroubleAuditSchemeController {
/*
    private final  TroubleAuditSchemeService troubleAuditSchemeService;

    *//**
    * 分页查询
    * @param page 分页对象
    * @param troubleAuditScheme 隐患部长审核方案表
    * @return
    *//*
    @GetMapping("/page" )
    @ApiOperation(value = "分页查询")
    public ResultRespone getTroubleAuditSchemePage(Page page, @ModelAttribute TroubleAuditScheme troubleAuditScheme) {
      return ResultRespone.success(troubleAuditSchemeService.page(page, Wrappers.query(troubleAuditScheme)));
    }


    *//**
     * 通过id查询隐患部长审核方案表
     * @param id id
     * @return ResultRespone
     *//*
    @GetMapping("/{id}" )
    @ApiOperation(value = "通过ID查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    public ResultRespone getById(@PathVariable("id" ) Long id) {
      return ResultRespone.success(troubleAuditSchemeService.getById(id));
    }

    *//**
     * 新增隐患部长审核方案表
     * @param troubleAuditScheme 隐患部长审核方案表
     * @return ResultRespone
     *//*
    @ToFlyAppLog(title="新增隐患部长审核方案表" )
    @ApiOperation(value = "新增隐患部长审核方案表")
    @PostMapping
    public ResultRespone save(@RequestBody TroubleAuditScheme troubleAuditScheme) {
      return ResultRespone.success(troubleAuditSchemeService.save(troubleAuditScheme));
    }

    *//**
     * 修改隐患部长审核方案表
     * @param troubleAuditScheme 隐患部长审核方案表
     * @return ResultRespone
     *//*
    @ToFlyAppLog(title="修改隐患部长审核方案表" )
    @ApiOperation(value = "修改隐患部长审核方案表")
    @PutMapping
    public ResultRespone updateById(@RequestBody TroubleAuditScheme troubleAuditScheme) {
      return ResultRespone.success(troubleAuditSchemeService.updateById(troubleAuditScheme));
    }

    *//**
     * 通过id删除隐患部长审核方案表
     * @param id id
     * @return ResultRespone
     *//*
    @ToFlyAppLog(title="通过id删除隐患部长审核方案表" )
    @ApiOperation(value = "通过ID删除隐患部长审核方案表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    @DeleteMapping("/{id}" )
    public ResultRespone removeById(@PathVariable Long id) {
      return ResultRespone.success(troubleAuditSchemeService.removeById(id));
    }

    *//**
     * 通过id批量删除隐患部长审核方案表
     * @param ids id
     * @return ResultRespone
     *//*
    @ToFlyAppLog(title="通过id批量删除隐患部长审核方案表" )
    @ApiOperation(value = "通过ID批量删除隐患部长审核方案表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
    })
    @DeleteMapping("/deleteByIds" )
    public ResultRespone removeById(String ids) {
        return ResultRespone.success(troubleAuditSchemeService.removeByIds(Arrays.asList(ids.split(","))));
    }*/
}
