/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.dyrq.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.dyrq.entity.TroublePipeinfo;
import com.tofly.dyrq.service.TroublePipeinfoService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.web.bind.annotation.ModelAttribute;

import java.util.Arrays;
/**
 * 隐患上报管线基本信息表
 *
 * @author Zhangyu
 * @date Wed Jul 22 00:00:00 GMT+08:00 2020
 */
@RestController
@AllArgsConstructor
@RequestMapping("/troublepipeinfo")
@Api(tags="隐患上报管线基本信息表接口")
public class TroublePipeinfoController {

   /* private final  TroublePipeinfoService troublePipeinfoService;

    *//**
    * 分页查询
    * @param page 分页对象
    * @param troublePipeinfo 隐患上报管线基本信息表
    * @return
    *//*
    @GetMapping("/page" )
    @ApiOperation(value = "分页查询")
    public ResultRespone getTroublePipeinfoPage(Page page, @ModelAttribute TroublePipeinfo troublePipeinfo) {
      return ResultRespone.success(troublePipeinfoService.page(page, Wrappers.query(troublePipeinfo)));
    }


    *//**
     * 通过id查询隐患上报管线基本信息表
     * @param id id
     * @return ResultRespone
     *//*
    @GetMapping("/{id}" )
    @ApiOperation(value = "通过ID查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    public ResultRespone getById(@PathVariable("id" ) Long id) {
      return ResultRespone.success(troublePipeinfoService.getById(id));
    }

    *//**
     * 新增隐患上报管线基本信息表
     * @param troublePipeinfo 隐患上报管线基本信息表
     * @return ResultRespone
     *//*
    @ToFlyAppLog(title="新增隐患上报管线基本信息表" )
    @ApiOperation(value = "新增隐患上报管线基本信息表")
    @PostMapping
    public ResultRespone save(@RequestBody TroublePipeinfo troublePipeinfo) {
      return ResultRespone.success(troublePipeinfoService.save(troublePipeinfo));
    }

    *//**
     * 修改隐患上报管线基本信息表
     * @param troublePipeinfo 隐患上报管线基本信息表
     * @return ResultRespone
     *//*
    @ToFlyAppLog(title="修改隐患上报管线基本信息表" )
    @ApiOperation(value = "修改隐患上报管线基本信息表")
    @PutMapping
    public ResultRespone updateById(@RequestBody TroublePipeinfo troublePipeinfo) {
      return ResultRespone.success(troublePipeinfoService.updateById(troublePipeinfo));
    }

    *//**
     * 通过id删除隐患上报管线基本信息表
     * @param id id
     * @return ResultRespone
     *//*
    @ToFlyAppLog(title="通过id删除隐患上报管线基本信息表" )
    @ApiOperation(value = "通过ID删除隐患上报管线基本信息表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    @DeleteMapping("/{id}" )
    public ResultRespone removeById(@PathVariable Long id) {
      return ResultRespone.success(troublePipeinfoService.removeById(id));
    }

    *//**
     * 通过id批量删除隐患上报管线基本信息表
     * @param ids id
     * @return ResultRespone
     *//*
    @ToFlyAppLog(title="通过id批量删除隐患上报管线基本信息表" )
    @ApiOperation(value = "通过ID批量删除隐患上报管线基本信息表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
    })
    @DeleteMapping("/deleteByIds" )
    public ResultRespone removeById(String ids) {
        return ResultRespone.success(troublePipeinfoService.removeByIds(Arrays.asList(ids.split(","))));
    }*/
}
