package com.tofly.dyrq.custom.entity;

import com.alibaba.fastjson.JSONArray;
import com.tofly.dyrq.entity.Plan;
import com.tofly.dyrq.entity.PlanPoint;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class CustomPlan extends Plan {
    @ApiModelProperty(value = "巡检点和线的geojson")
    private JSONArray gisInfo;
    @ApiModelProperty(value = "***arcgis查询url(非巡检点和巡检线的情况)")
    private String gisUrl;
    @ApiModelProperty(value = "计划预计完成率")
    private String planRate;
}
