package com.tofly.dyrq.custom.entity;

import com.tofly.dyrq.entity.Trouble;
import com.tofly.dyrq.entity.TroubleCheck;
import com.tofly.dyrq.entity.TroubleDeviceinfo;
import com.tofly.dyrq.entity.TroublePipeinfo;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
public class CustomTrouble extends Trouble {
    List<Map> nonworkingDayFiles;
    List<Map> nonworkingDayVoice;
    List<Map> workingDayFiles;
    List<Map> workingDayVoice;
    List<Map> workingOtherFiles;
    List<Map> workingOtherVoice;
    List<Map> dutyFiles;
    List<Map> dutyVoice;
    List<Map> inspectFiles;
    List<Map> inspectVoice;
    List<CustomTroubleAuditScheme> auditSchemeList;
    List<CustomTroubleAuditEnd> auditEndList;
    List<TroublePipeinfo> pipeInfos;
    List<TroubleDeviceinfo> deviceInfos;
    List<Map> handleSchemeFiles;
    List<Map> handleSchemeVoice;
    List<TroubleCheck> checks;
    private String undersecretaryStateName;
}
