package com.tofly.dyrq.custom.entity;

import com.tofly.dyrq.entity.TroubleDeviceinfo;
import com.tofly.dyrq.entity.TroublePipeinfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author tuonbed
 * @date 2020/9/23  17:48
 */
@Data
public class CustomTroubleUpdatePipe {
    @ApiModelProperty(value = "主键ID")
    private Long id;

    @ApiModelProperty(value = "管线基本信息")
    private String pipeInfo;

    @ApiModelProperty(value = "设备基本信息")
    private String deviceInfo;

    @ApiModelProperty(value = "管线基本信息列表")
    List<TroublePipeinfo> pipeList;

    @ApiModelProperty(value = "设备基本信息列表")
    List<TroubleDeviceinfo> deviceList;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "转换位置x")
    private BigDecimal locationX;
    /**
     * 转换位置y
     */
    @ApiModelProperty(value = "转换位置y")
    private BigDecimal locationY;
}
