package com.tofly.dyrq.custom.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.tofly.dyrq.entity.MaintenanceDevice;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
public class MaintenanceDeviceResult extends MaintenanceDevice {
    @ApiModelProperty(value = "保养内容id数组，如[1,2]",required = true)
    private List<Long> content;
    private String contentName;
    private List<Map<String,String>> files;
}
