package com.tofly.dyrq.custom.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.elasticsearch.indices.recovery.RecoveryState;

import java.util.List;

@Data
public class MessageSave {
    //    @ApiModelProperty(value = "消息主题[必填]")
//    private String topic;
    @ApiModelProperty(value = "消息详情[必填]",required = true)
    private String message;

    @ApiModelProperty(value = "消息接收人字符串,如“1,2” [必填]",required = true)
    private String receipt;

    @ApiModelProperty(value = "原消息ID[回复消息需填]")
    private Long replyId;

    @ApiModelProperty(value = "消息类型：0普通消息 1抢维修 2巡检 3工地 4隐患 5管网工单")
    private String type;

    @ApiModelProperty(value = "接收人角色字符串,如“1,2“")
    private String roles;

    @ApiModelProperty(value = "模块")
    private String module;
}
