package com.tofly.dyrq.custom.entity;

import com.tofly.dyrq.entity.GpsRegion;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author tuonbed
 * @date 2020/4/13  13:29
 */
@ApiModel
@Data
@EqualsAndHashCode(callSuper = true)
public class RegionValidEntity extends GpsRegion {

    @ApiModelProperty(value = "有效的ID")
    private String validIds;

    @ApiModelProperty(value = "无效的ID")
    private String invalidIds;
}
