package com.tofly.dyrq.custom.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class RushRepairSearch {
    @ApiModelProperty(value = "抢维修模糊查询(工单编号,来源,地址,描述)")
    private String adsOrIdOrSocOrDesc;
    private String workOrderType;
    private String workOrderId;
    private String workOrderState;
    private String userIds;
    private Long creatUser;
    @ApiModelProperty(value = "抢维修派工人")
    private Long dispatchUserId;
    @ApiModelProperty(value = "抢维修工单负责人")
    private Long rushRepairResponsible;
    @ApiModelProperty(value = "抢维修工单状态，多个状态以逗号隔开")
    private String workOrderStates;
    @ApiModelProperty(hidden = true)
    private List<String> workOrderStateList;
}
