package com.tofly.dyrq.custom.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class SignPlanSearch {
    /**
     * 查询计划和分段开始日期[必填]
     */
    @ApiModelProperty(value = "查询计划和分段开始日期[必填]yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date beginDate;
    /**
     * 查询计划和分段结束日期[必填]
     */
    @ApiModelProperty(value = "查询计划和分段结束日期[必填]yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date endDate;

    @ApiModelProperty(value = "查询计划和分段的用户唯一编码[必填]")
    private Long userId;
}
