package com.tofly.dyrq.custom.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.dyrq.custom.entity.MaintenanceDeviceSearch;
import com.tofly.dyrq.custom.entity.MaintenanceSearch;
import com.tofly.dyrq.custom.entity.ReceiptMessageReault;
import com.tofly.dyrq.custom.entity.SentMessageReault;
import org.apache.ibatis.annotations.Param;
import org.mapstruct.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface CustomMessageMapper {
    String getRoleUsers(@Param("roleId") Long roleId);
    List<ReceiptMessageReault> receiptMessage(Page page, @Param("searchText")String searchText,@Param("userId")Long userId);
    List<SentMessageReault> sentMessage(Page page, @Param("searchText")String searchText,@Param("userId")Long userId);
}
