package com.tofly.dyrq.custom.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.dyrq.custom.entity.EsPdaDeviceUpload;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;

@FeignClient(contextId = "baseService",value = "tofly-base")
public interface BaseInfoService {
    @GetMapping("/source/page")
    ResultRespone getSourcePage(@RequestParam Map param);

    @GetMapping("/user/getUndersecretaryUsers")
    ResultRespone getUndersecretaryUsers();
}
