package com.tofly.dyrq.custom.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.dyrq.custom.entity.MessageSave;
import com.tofly.dyrq.custom.entity.ReceiptMessageReault;
import com.tofly.dyrq.custom.entity.SentMessageReault;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

public interface CustomMessageService {
    Boolean save(HttpServletRequest request, MessageSave messageSave);

    Boolean saveNoFile(MessageSave messageSave);

    Map getById(Long id);

    Map getInfoById(Long id);

//    IPage receiptMessage(Page page,String searchText);

    Page<ReceiptMessageReault> receiptMessage(Page page, String searchText);

//    IPage sent(Page page,String searchText);

    Page<SentMessageReault> sent(Page page, String searchText);

    Boolean deleteByIds(String ids);

    Boolean readByIds(String ids);

    Boolean sendMessage(String userIds, String message, String type, String module);
}
