package com.tofly.dyrq.custom.service;

import com.tofly.common.core.entity.ResultRespone;
import com.tofly.dyrq.custom.entity.EsPdaDeviceUpload;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;

@FeignClient(contextId = "dyrqGpsService",value = "tofly-dyrqgps")
public interface DyrqGpsService {
    /**
     * es存储签到时设备信息
     * @param esPdaDeviceUpload
     * @return
     */
    @PostMapping("/esPdaDevice")
    ResultRespone save(@RequestBody EsPdaDeviceUpload esPdaDeviceUpload);

    /**
     *
     * @param param
     * @return
     */
    @GetMapping("/esPdaDevice/getAll")
    public ResultRespone getAll(@RequestParam Map param);
}
