package com.tofly.dyrq.custom.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.dyrq.custom.entity.CustomQrLayer;
import com.tofly.dyrq.custom.entity.CustomSysDatabase;
import com.tofly.dyrq.custom.entity.UserPda;
import com.tofly.dyrq.entity.PdaDevice;
import com.tofly.dyrq.entity.PdaUserDevice;

import java.util.List;
import java.util.Map;

/**
 * @author tuonbed
 * @date 2020/4/1  10:32
 */
public interface OtherService {

    public Page<UserPda> getUsersPda(Page page, UserPda user);

    public Page<Map> getUsersPdaByMobile(Page page, UserPda user);

    public boolean addPda(PdaDevice pdaDevice);

    public String getSignTypeByUser(Long id);

    public String checkPda(String imei);

    public Boolean userDeviceRemoveById(Long id);

    public Boolean userDeviceSave(PdaUserDevice pdaUserDevice);

    public boolean insertQrLayer(CustomQrLayer customQrLayer);

    public List<Map> getQrLayer(CustomQrLayer customQrLayer);

    public void handlerData(CustomQrLayer customQrLayer);

    public Page<Map> getSysDataSpace(Page page);

    public boolean updateSysDataBase(CustomSysDatabase customSysDatabase);

    public Page<Map> getMaintenanceMenuPage(Page page, String name);
}
