package com.tofly.dyrq.custom.service.impl;

import com.tofly.common.core.util.Date8Util;
import com.tofly.dyrq.custom.mapper.PlanTaskMapper;
import com.tofly.dyrq.custom.service.PlanTaskService;
import lombok.AllArgsConstructor;
import lombok.SneakyThrows;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

@Service
@AllArgsConstructor
public class PlanTaskServiceImpl implements PlanTaskService {
    private final PlanTaskMapper planTaskMapper;

    @Override
    @Transactional(rollbackFor=Exception.class)
    @SneakyThrows
    public void planTask() {
        //获取配置表的到位最小距离 默认50
        BigDecimal distance = new BigDecimal(50);
        List<Map> distanceList = planTaskMapper.getMinDistance();
        if (distanceList != null && distanceList.size()>0){
            distance = (BigDecimal)distanceList.get(0).get("minDistanceInPlace");
        }
        Date startDate = Date8Util.getStartTime();
        Date endDate = Date8Util.getEndTime();

    }
}
