package com.tofly.dyrq.dto;


import com.tofly.dyrq.annotations.JpaDTO;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;

/**
 * @program: tofly-dyrq
 * @description: 巡检报表用户自定义查询对象
 * @author: Sumer
 * @create: 2020-09-08 11:10
 */
@JpaDTO
@Data
@Entity
public class InspectionReportUserDTO {
    @Id

    /**
     * 用户唯一编码
     */
    @Column(name="id")
    private Long userId;
    /**
     * 用户名称
     */
    @Column(name="REAL_NAME")
    private String userName;

    /**
     * 公司唯一编码
     */
    @Column(name="DEPARTMENT_ID")
    private Long departmentId;

    /**
     * 公司\部门名称
     */
    @Column(name="NAME")
    private String depName;
}