/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.dyrq.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.tofly.common.core.constant.ToflySqlCondition;
import com.tofly.common.entity.CommonCode;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 设备设施运行维修保养登记附件表
 *
 * @author admin
 * @date Wed Jul 22 00:00:00 CST 2020
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_MAINTENANCE_DEVICE_FILE",resultMap = "maintenanceDeviceFileMap")
@KeySequence("TF_MAINTENANCE_DEVICE_FILE")
@ApiModel
public class MaintenanceDeviceFile extends Model<MaintenanceDeviceFile> {
    private static final long serialVersionUID = 1L;

        /**
     * 唯一编码
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "唯一编码")
                private Long id;
                /**
     * 设备维护登记ID
     */
            @ApiModelProperty(value = "设备维护登记ID")
                private Long maintenanceDeviceId;
                /**
     * 文件路径
     */
            @ApiModelProperty(value = "文件路径")
                private String filePath;
                /**
     * $column.comments
     */
            @TableLogic
        @ApiModelProperty(value = "$column.comments")
                private String delFlag;
                /**
     * $column.comments
     */
            @ApiModelProperty(value = "$column.comments")
                private String type;
                /**
     * 文件名称
     */
            @ApiModelProperty(value = "文件名称")
                private String fileName;
            
}
