/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.dyrq.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.tofly.common.core.constant.ToflySqlCondition;
import com.tofly.common.entity.CommonCode;

import java.sql.Timestamp;
import java.util.List;
import java.util.stream.Collectors;


/**
 * scada历史数据表
 *
 * @author admin
 * @date Tue Apr 14 00:00:00 CST 2020
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="SCADA_HISTORY",resultMap = "scadaHistoryMap")
@KeySequence("SCADA_HISTORY")
@ApiModel
public class ScadaHistory extends Model<ScadaHistory> {
    private static final long serialVersionUID = 1L;

        /**
     * $column.comments
     */
        @ApiModelProperty(value = "$column.comments")
                private String delFlag;
                /**
     * $column.comments
     */
        @ApiModelProperty(value = "$column.comments")
                private String sid;
                /**
     * $column.comments
     */
        @ApiModelProperty(value = "$column.comments")
                private String bz;
                /**
     * $column.comments
     */
        @ApiModelProperty(value = "$column.comments")
                private Double value1;
                /**
     * 设备时间
     */
        @ApiModelProperty(value = "设备时间")
                private Timestamp scadatime;
                /**
     * 服务器时间
     */
        @ApiModelProperty(value = "服务器时间")
                private Timestamp updatetime;
            
}
