/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.dyrq.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.tofly.common.core.constant.ToflySqlCondition;
import com.tofly.common.entity.CommonCode;
import java.math.BigDecimal;

import java.util.List;
import java.util.stream.Collectors;


/**
 * ${comments}
 *
 * @author admin
 * @date Tue Apr 14 00:00:00 CST 2020
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="SCADAPNTS_STATIONS",resultMap = "scadapntsStationsMap")
@KeySequence("SCADAPNTS_STATIONS")
@ApiModel
public class ScadapntsStations extends Model<ScadapntsStations> {
    private static final long serialVersionUID = 1L;

        /**
     * $column.comments
     */
        @ApiModelProperty(value = "$column.comments")
                private String delFlag;
                /**
     * 站点编号
     */
        @ApiModelProperty(value = "站点编号")
                private String ptid;
                /**
     * 站点中文名
     */
        @ApiModelProperty(value = "站点中文名")
                private String ptname;
                /**
     * 横坐标或经度x
     */
        @ApiModelProperty(value = "横坐标或经度x")
                private BigDecimal x;
                /**
     * 纵坐标或纬度y
     */
        @ApiModelProperty(value = "纵坐标或纬度y")
                private BigDecimal y;
                /**
     * 权属单位代码
     */
        @ApiModelProperty(value = "权属单位代码")
                private String managedeptCode;
    /**
     * 工艺图图片路径
     */
    @ApiModelProperty(value = "工艺图图片路径")
    private String pic;
            
}
