/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.dyrq.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.tofly.common.core.constant.ToflySqlCondition;
import com.tofly.common.entity.CommonCode;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 工单反馈附件表
 *
 * @author admin
 * @date Wed Apr 01 00:00:00 CST 2020
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_PDA_RESPONSE_FILE",resultMap = "tfPdaResponseFileMap")
@KeySequence("TF_PDA_RESPONSE_FILE")
@ApiModel
public class TfPdaResponseFile extends Model<TfPdaResponseFile> {
    private static final long serialVersionUID = 1L;

        /**
     * 编号
     */
        @TableId(value = "ID",type= IdType.INPUT)
        @ApiModelProperty(value = "编号")
                private Long id;
            /**
     * 工单反馈编号
     */
        @ApiModelProperty(value = "工单反馈编号")
                private Long responseid;
            /**
     * 文件编号
     */
        @ApiModelProperty(value = "文件编号")
                private String fileid;

    @TableLogic
    private String delFlag;

}
