/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.dyrq.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.tofly.common.core.constant.ToflySqlCondition;
import com.tofly.common.entity.CommonCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 副部长审核意见状态表
 *
 * @author wangjian
 * @date Thu Sep 10 00:00:00 CST 2020
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_TROUBLE_STATE",resultMap = "troubleStateMap")
@KeySequence("TF_TROUBLE_STATE")
@ApiModel
public class TroubleState extends Model<TroubleState> {
    private static final long serialVersionUID = 1L;

        /**
     * $column.comments
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "$column.comments")
                private Long id;
                /**
     * $column.comments
     */
            @ApiModelProperty(value = "$column.comments")
                private Long troubleId;
                /**
     * $column.comments
     */
            @ApiModelProperty(value = "$column.comments")
            @TableField(value = "USER_ID",fill = FieldFill.INSERT)
            private Long userId;
            @ApiModelProperty(hidden = true)
    private String userIdName;
            /**
     * $column.comments
     */
            @ApiModelProperty(value = "$column.comments")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
            private Date createTime;
                /**
     * 隐患审核状态 0:转入抢维修 1:继续处理 2:处理完成[必填] 3:是否是存量隐患
     */
            @ApiModelProperty(value = "隐患审核状态 0:转入抢维修 1:继续处理 2:处理完成[必填] 3:是否是存量隐患")
                private String state;
                /**
     * $column.comments
     */
            @TableLogic
        @ApiModelProperty(value = "$column.comments")
                private String delFlag;
            
}
