package com.tofly.dyrq.repository;


import com.tofly.dyrq.dto.InspectionReportUserDTO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface InspectionReportUserRepository extends JpaRepository<InspectionReportUserDTO,Long> {
    /**
     * 获取所有用户相关信息
     * @return
     */
    @Query(value =  "SELECT a.ID,a.REAL_NAME,a.DEPARTMENT_ID,c.NAME " +
                    "FROM TF_SMPN_USER_X a JOIN TF_SMPN_DEPARTMENT_X c ON a.DEPARTMENT_ID = c.ID",nativeQuery = true)
    List<InspectionReportUserDTO> getUsers();
}
