/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.dyrq.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.common.core.util.StringUtil;
import com.tofly.dyrq.entity.PdaDevice;
import com.tofly.dyrq.service.PdaDeviceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.tofly.dyrq.mapper.PdaDeviceMapper;

/**
 * 巡检移动设备
 *
 * @author wangjian
 * @date Wed Apr 01 00:00:00 CST 2020
 */
@Service("pdaDeviceService")
public class PdaDeviceServiceImpl extends ServiceImpl<PdaDeviceMapper, PdaDevice> implements PdaDeviceService {
    @Autowired
    private PdaDeviceMapper pdaDeviceMapper;

    @Override
    public Page getPdaDevicePage(Page page, PdaDevice pdaDevice) {
        return page.setRecords(pdaDeviceMapper.getPdaDevicePage(page, pdaDevice));
    }
}
