package com.tofly.dyrq.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @program: tofly-dyrq
 * @description: 巡检报表日/月报表 前端返回对象
 * @author: Sumer
 * @create: 2020-09-11 11:48
 */
@Data
@ApiModel(description= "巡检报表数据返回对象")
public class DailyPlanStaticsVO {
    /**
     * 基础信息
     */
    @ApiModelProperty(value = "基础信息")
    private DailyPlanStaticsBasisVO basisVO;
    /**
     * 详细信息
     */
    @ApiModelProperty(value = "详细信息")
    private DailyPlanStaticsDetailInfoVO detailInfoVO;
}