package com.tofly.dyrqGps;

import com.tofly.common.core.configs.AutoConfigConfiguration;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.client.SpringCloudApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Import;

/**
 * @author tuonbed
 * @date 2020/5/14  10:05
 */
@SpringCloudApplication
@EnableFeignClients(basePackages = "com.tofly.base.api")
@Import(AutoConfigConfiguration.class)
public class DyrqGpsApplication {
    public static void main(String[] args) {
        SpringApplication.run(DyrqGpsApplication.class,args);
    }

}
