/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.dyrqGps.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.dyrqGps.entity.Sign;
import com.tofly.dyrqGps.service.SignService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.web.bind.annotation.ModelAttribute;

import java.util.Arrays;
/**
 * 考勤签到表
 *
 * @author pra
 * @date Fri Sep 11 00:00:00 CST 2020
 */
@RestController
@AllArgsConstructor
@RequestMapping("/sign")
@Api(tags="考勤签到表接口")
public class SignController {

//    private final  SignService signService;
//
//    /**
//    * 分页查询
//    * @param page 分页对象
//    * @param sign 考勤签到表
//    * @return
//    */
//    @GetMapping("/page" )
//    @ApiOperation(value = "分页查询")
//    public ResultRespone getSignPage(Page page, @ModelAttribute Sign sign) {
//      return ResultRespone.success(signService.page(page, Wrappers.query(sign)));
//    }
//
//
//    /**
//     * 通过id查询考勤签到表
//     * @param id id
//     * @return ResultRespone
//     */
//    @GetMapping("/{id}" )
//    @ApiOperation(value = "通过ID查询")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    public ResultRespone getById(@PathVariable("id" ) Long id) {
//      return ResultRespone.success(signService.getById(id));
//    }
//
//    /**
//     * 新增考勤签到表
//     * @param sign 考勤签到表
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="新增考勤签到表" )
//    @ApiOperation(value = "新增考勤签到表")
//    @PostMapping
//    public ResultRespone save(@RequestBody Sign sign) {
//      return ResultRespone.success(signService.save(sign));
//    }
//
//    /**
//     * 修改考勤签到表
//     * @param sign 考勤签到表
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="修改考勤签到表" )
//    @ApiOperation(value = "修改考勤签到表")
//    @PutMapping
//    public ResultRespone updateById(@RequestBody Sign sign) {
//      return ResultRespone.success(signService.updateById(sign));
//    }
//
//    /**
//     * 通过id删除考勤签到表
//     * @param id id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id删除考勤签到表" )
//    @ApiOperation(value = "通过ID删除考勤签到表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    @DeleteMapping("/{id}" )
//    public ResultRespone removeById(@PathVariable Long id) {
//      return ResultRespone.success(signService.removeById(id));
//    }
//
//    /**
//     * 通过id批量删除考勤签到表
//     * @param ids id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id批量删除考勤签到表" )
//    @ApiOperation(value = "通过ID批量删除考勤签到表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
//    })
//    @DeleteMapping("/deleteByIds" )
//    public ResultRespone removeById(String ids) {
//        return ResultRespone.success(signService.removeByIds(Arrays.asList(ids.split(","))));
//    }
}
