package com.tofly.dyrqScada;

import com.tofly.common.core.configs.AutoConfigConfiguration;

import com.tofly.dyrqScada.Config.FeignConfig;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.client.SpringCloudApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Import;

/**
 * @author tuonbed
 * @date 2020/3/2  10:19
 */
@SpringCloudApplication
@EnableFeignClients(basePackages = {"com.tofly.base.api", "com.tofly.dyrqScada.service"},defaultConfiguration =  FeignConfig.class)
@Import(AutoConfigConfiguration.class)
//@EnableUploadForm
public class DyrqScadaApplication {
        public static void main(String[] args) {
        SpringApplication.run(DyrqScadaApplication.class,args);
    }
}
