/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.dyrqScada.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.tofly.common.core.constant.ToflySqlCondition;
import com.tofly.common.entity.CommonCode;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 
 *
 * @author pra
 * @date Fri Nov 20 00:00:00 CST 2020
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="REALDATA",resultMap = "realdataMap")
@KeySequence("REALDATA")
@ApiModel
public class Realdata extends Model<Realdata> {
    private static final long serialVersionUID = 1L;

        /**
     * 
     */
            @ApiModelProperty(value = "")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
                private Date time;
                /**
     * 
     */
                @TableId(value = "TAG")
            @ApiModelProperty(value = "")
                private String tag;
                /**
     * 
     */
            @ApiModelProperty(value = "")
                private BigDecimal tagValue;
                /**
     * 
     */
            @ApiModelProperty(value = "")
                private String tagExplain;
                /**
     * 
     */
            @ApiModelProperty(value = "")
                private String ue;
            
}
