package com.tofly.dyrqScada.service;

import com.tofly.common.core.entity.ResultRespone;
import com.tofly.dyrqScada.entity.ScadaRealdataList;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @author pra
 * @date 2020/11/25 11:37
 * @description
 */
@FeignClient(contextId = "dyrqService",value = "tofly-dyrq")
public interface DyrqService {
    /**
     * 将mysql的scada数据同步到dyrq的数据库
     * @param dataList
     * @return
     */
    @PostMapping("/scada/saveBatch")
    ResultRespone save(@RequestBody ScadaRealdataList dataList);
}
