/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.dyrqScada.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.dyrqScada.entity.Realdata;
import com.tofly.dyrqScada.entity.ScadaRealdataList;
import com.tofly.dyrqScada.service.DyrqService;
import com.tofly.dyrqScada.service.RealdataService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;
import com.tofly.dyrqScada.mapper.RealdataMapper;

import java.util.List;

/**
 * 
 *
 * @author pra
 * @date Fri Nov 20 00:00:00 CST 2020
 */
@Service("realdataService")
@AllArgsConstructor
public class RealdataServiceImpl extends ServiceImpl<RealdataMapper, Realdata> implements RealdataService {
    private final DyrqService dyrqService;

    @Override
    public Boolean sync() {
        List<Realdata> list = this.list();
        ScadaRealdataList scadaRealdataList = new ScadaRealdataList();
        scadaRealdataList.setScadaRealdataList(list);
        ResultRespone  res =  dyrqService.save(scadaRealdataList);
        if (res.getCode() != 1){
            return false;
        };
        return true;
    }
}
