package com.tofly.dyrqcar.custom.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.dyrqcar.custom.entity.CustomCarGpstocar;
import com.tofly.dyrqcar.custom.mapper.CustomCarGpstocarMapper;
import com.tofly.dyrqcar.custom.service.CustomCarGpstocarService;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.Map;

@Service
@AllArgsConstructor
@Slf4j
public class CustomCarGpstocarServiceImpl extends ServiceImpl<CustomCarGpstocarMapper, CustomCarGpstocar> implements CustomCarGpstocarService {

    @Override
    public Page<Map> pageByCarNumber(Page page, String number) {
        return page.setRecords(baseMapper.pageByCarNumber(page, number));
    }
}
