package com.tofly.dyrq.config;

import java.util.concurrent.Executors;
import java.util.concurrent.ScheduledExecutorService;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableAsync;

@Configuration
@EnableAsync
public class ThreadPoolConfig {
	
	
	@Bean(name = "asyncServiceExecutor")
    public ScheduledExecutorService executorService() {
		ScheduledExecutorService singleThreadScheduledExecutor=Executors.newSingleThreadScheduledExecutor();
        return singleThreadScheduledExecutor;
    }

}
