package com.tofly.dyrq.config;

import com.tofly.common.websocket.WebSocketServer;
import lombok.SneakyThrows;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Async;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

/**
 * @author tuonbed
 * @date 2020/3/20  10:10
 */
//@Component
@EnableScheduling   // 1.开启定时任务
@EnableAsync        // 2.开启多线程
@Slf4j
public class WebSocketTest {

    private int t=0;

    @Async
    @Scheduled(fixedDelay = 5000)  //间隔5秒
    @SneakyThrows
    public void uploadForm(){
        t++;
        log.info("推送消息：test{}",t);
        WebSocketServer.sendInfo("test:"+t,"test");
    }
}
