/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.dyrq.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.dyrq.entity.MessageRecipient;
import com.tofly.dyrq.service.MessageRecipientService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.web.bind.annotation.ModelAttribute;

import java.util.Arrays;
/**
 * 消息推送人员表
 *
 * @author admin
 * @date Tue Jun 16 00:00:00 CST 2020
 */
@RestController
@AllArgsConstructor
@RequestMapping("/messagerecipient")
@Api(tags="消息推送人员表接口")
public class MessageRecipientController {

    private final  MessageRecipientService messageRecipientService;

    /**
    * 分页查询
    * @param page 分页对象
    * @param messageRecipient 消息推送人员表
    * @return
    */
//    @GetMapping("/page" )
//    @ApiOperation(value = "分页查询")
//    public ResultRespone getMessageRecipientPage(Page page, @ModelAttribute MessageRecipient messageRecipient) {
//      return ResultRespone.success(messageRecipientService.page(page, Wrappers.query(messageRecipient)));
//    }
//
//
//    /**
//     * 通过id查询消息推送人员表
//     * @param id id
//     * @return ResultRespone
//     */
//    @GetMapping("/{id}" )
//    @ApiOperation(value = "通过ID查询")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    public ResultRespone getById(@PathVariable("id" ) Long id) {
//      return ResultRespone.success(messageRecipientService.getById(id));
//    }
//
//    /**
//     * 新增消息推送人员表
//     * @param messageRecipient 消息推送人员表
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="新增消息推送人员表" )
//    @ApiOperation(value = "新增消息推送人员表")
//    @PostMapping
//    public ResultRespone save(@RequestBody MessageRecipient messageRecipient) {
//      return ResultRespone.success(messageRecipientService.save(messageRecipient));
//    }
//
//    /**
//     * 修改消息推送人员表
//     * @param messageRecipient 消息推送人员表
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="修改消息推送人员表" )
//    @ApiOperation(value = "修改消息推送人员表")
//    @PutMapping
//    public ResultRespone updateById(@RequestBody MessageRecipient messageRecipient) {
//      return ResultRespone.success(messageRecipientService.updateById(messageRecipient));
//    }
//
//    /**
//     * 通过id删除消息推送人员表
//     * @param id id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id删除消息推送人员表" )
//    @ApiOperation(value = "通过ID删除消息推送人员表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    @DeleteMapping("/{id}" )
//    public ResultRespone removeById(@PathVariable Long id) {
//      return ResultRespone.success(messageRecipientService.removeById(id));
//    }
//
//    /**
//     * 通过id批量删除消息推送人员表
//     * @param ids id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id批量删除消息推送人员表" )
//    @ApiOperation(value = "通过ID批量删除消息推送人员表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
//    })
//    @DeleteMapping("/deleteByIds" )
//    public ResultRespone removeById(String ids) {
//        return ResultRespone.success(messageRecipientService.removeByIds(Arrays.asList(ids.split(","))));
//    }
}
