/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.dyrq.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.dyrq.entity.Plan;
import com.tofly.dyrq.service.PlanService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.web.bind.annotation.ModelAttribute;

import java.util.Arrays;
/**
 * 巡检计划表
 *
 * @author wangjian
 * @date Fri Apr 17 00:00:00 CST 2020
 */
@RestController
@AllArgsConstructor
@RequestMapping("/plan")
@Api(tags="巡检计划表接口")
public class PlanController {

    private final  PlanService planService;

    /**
     * 分页查询
     * @param page 分页对象
     * @param plan 巡检计划表
     * @return
     */
//    @GetMapping("/page" )
//    @ApiOperation(value = "分页查询")
//    public ResultRespone getPlanPage(Page page, @ModelAttribute Plan plan) {
//      return ResultRespone.success(planService.page(page, Wrappers.query(plan)));
//    }


//    /**
//     * 通过id查询巡检计划表
//     * @param planId id
//     * @return ResultRespone
//     */
//    @GetMapping("/{planId}" )
//    @ApiOperation(value = "通过ID查询")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "planId", value = "ID", required = true, dataType = "Long")
//    })
//    public ResultRespone getById(@PathVariable("planId" ) Long planId) {
//      return ResultRespone.success(planService.getById(planId));
//    }

    /**
     * 新增巡检计划表
     * @param plan 巡检计划表
     * @return ResultRespone
     */
//    @ToFlyAppLog(title="新增巡检计划表" )
//    @ApiOperation(value = "新增巡检计划表")
//    @PostMapping
//    public ResultRespone save(@RequestBody Plan plan) {
//      return ResultRespone.success(planService.save(plan));
//    }

    /**
     * 修改巡检计划表
     * @param plan 巡检计划表
     * @return ResultRespone
     */
//    @ToFlyAppLog(title="修改巡检计划表" )
//    @ApiOperation(value = "修改巡检计划表")
//    @PutMapping
//    public ResultRespone updateById(@RequestBody Plan plan) {
//      return ResultRespone.success(planService.updateById(plan));
//    }

    /**
     * 通过id删除巡检计划表
     * @param planId id
     * @return ResultRespone
     */
//    @ToFlyAppLog(title="通过id删除巡检计划表" )
//    @ApiOperation(value = "通过ID删除巡检计划表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "planId", value = "ID", required = true, dataType = "Long")
//    })
//    @DeleteMapping("/{planId}" )
//    public ResultRespone removeById(@PathVariable Long planId) {
//      return ResultRespone.success(planService.removeById(planId));
//    }
//
//    /**
//     * 通过id批量删除巡检计划表
//     * @param ids id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id批量删除巡检计划表" )
//    @ApiOperation(value = "通过ID批量删除巡检计划表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
//    })
//    @DeleteMapping("/deleteByIds" )
//    public ResultRespone removeById(String ids) {
//        return ResultRespone.success(planService.removeByIds(Arrays.asList(ids.split(","))));
//    }
}
