/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.dyrq.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.dyrq.entity.Qrcode;
import com.tofly.dyrq.service.QrcodeService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.web.bind.annotation.ModelAttribute;

import java.util.Arrays;
/**
 * 二维码信息表
 *
 * @author Zhangyu
 * @date Mon May 11 00:00:00 GMT+08:00 2020
 */
@RestController
@AllArgsConstructor
@RequestMapping("/qrcode")
@Api(tags="二维码信息表接口")
public class QrcodeController {

    private final  QrcodeService qrcodeService;

    /**
    * 分页查询
    * @param page 分页对象
    * @param qrcode 二维码信息表
    * @return
    *//*
    @GetMapping("/page" )
    @ApiOperation(value = "分页查询")
    public ResultRespone getQrcodePage(Page page, @ModelAttribute Qrcode qrcode) {
      return ResultRespone.success(qrcodeService.page(page, Wrappers.query(qrcode)));
    }*/


    /**
     * 通过id查询二维码信息表
     * @param id id
     * @return ResultRespone
     *//*
    @GetMapping("/{id}" )
    @ApiOperation(value = "通过ID查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    public ResultRespone getById(@PathVariable("id" ) Long id) {
      return ResultRespone.success(qrcodeService.getById(id));
    }*/

    /**
     * 新增二维码信息表
     * @param qrcode 二维码信息表
     * @return ResultRespone
     *//*
    @ToFlyAppLog(title="新增二维码信息表" )
    @ApiOperation(value = "新增二维码信息表")
    @PostMapping
    public ResultRespone save(@RequestBody Qrcode qrcode) {
      return ResultRespone.success(qrcodeService.save(qrcode));
    }*/

    /**
     * 修改二维码信息表
     * @param qrcode 二维码信息表
     * @return ResultRespone
     *//*
    @ToFlyAppLog(title="修改二维码信息表" )
    @ApiOperation(value = "修改二维码信息表")
    @PutMapping
    public ResultRespone updateById(@RequestBody Qrcode qrcode) {
      return ResultRespone.success(qrcodeService.updateById(qrcode));
    }*/

    /**
     * 通过id删除二维码信息表
     * @param id id
     * @return ResultRespone
     *//*
    @ToFlyAppLog(title="通过id删除二维码信息表" )
    @ApiOperation(value = "通过ID删除二维码信息表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    @DeleteMapping("/{id}" )
    public ResultRespone removeById(@PathVariable Long id) {
      return ResultRespone.success(qrcodeService.removeById(id));
    }

    *//**
     * 通过id批量删除二维码信息表
     * @param ids id
     * @return ResultRespone
     *//*
    @ToFlyAppLog(title="通过id批量删除二维码信息表" )
    @ApiOperation(value = "通过ID批量删除二维码信息表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
    })
    @DeleteMapping("/deleteByIds" )
    public ResultRespone removeById(String ids) {
        return ResultRespone.success(qrcodeService.removeByIds(Arrays.asList(ids.split(","))));
    }*/
}
