/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.dyrq.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.dyrq.entity.RushRepairAuditEnd;
import com.tofly.dyrq.service.RushRepairAuditEndService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.web.bind.annotation.ModelAttribute;

import java.util.Arrays;
/**
 * 抢维修审核结束表
 *
 * @author Zhangyu
 * @date Tue Jun 16 00:00:00 GMT+08:00 2020
 */
@RestController
@AllArgsConstructor
@RequestMapping("/rushrepairauditend")
@Api(tags="抢维修审核结束表接口")
public class RushRepairAuditEndController {

   /* private final  RushRepairAuditEndService rushRepairAuditEndService;

    *//**
    * 分页查询
    * @param page 分页对象
    * @param rushRepairAuditEnd 抢维修审核结束表
    * @return
    *//*
    @GetMapping("/page" )
    @ApiOperation(value = "分页查询")
    public ResultRespone getRushRepairAuditEndPage(Page page, @ModelAttribute RushRepairAuditEnd rushRepairAuditEnd) {
      return ResultRespone.success(rushRepairAuditEndService.page(page, Wrappers.query(rushRepairAuditEnd)));
    }


    *//**
     * 通过id查询抢维修审核结束表
     * @param id id
     * @return ResultRespone
     *//*
    @GetMapping("/{id}" )
    @ApiOperation(value = "通过ID查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    public ResultRespone getById(@PathVariable("id" ) Long id) {
      return ResultRespone.success(rushRepairAuditEndService.getById(id));
    }

    *//**
     * 新增抢维修审核结束表
     * @param rushRepairAuditEnd 抢维修审核结束表
     * @return ResultRespone
     *//*
    @ToFlyAppLog(title="新增抢维修审核结束表" )
    @ApiOperation(value = "新增抢维修审核结束表")
    @PostMapping
    public ResultRespone save(@RequestBody RushRepairAuditEnd rushRepairAuditEnd) {
      return ResultRespone.success(rushRepairAuditEndService.save(rushRepairAuditEnd));
    }

    *//**
     * 修改抢维修审核结束表
     * @param rushRepairAuditEnd 抢维修审核结束表
     * @return ResultRespone
     *//*
    @ToFlyAppLog(title="修改抢维修审核结束表" )
    @ApiOperation(value = "修改抢维修审核结束表")
    @PutMapping
    public ResultRespone updateById(@RequestBody RushRepairAuditEnd rushRepairAuditEnd) {
      return ResultRespone.success(rushRepairAuditEndService.updateById(rushRepairAuditEnd));
    }

    *//**
     * 通过id删除抢维修审核结束表
     * @param id id
     * @return ResultRespone
     *//*
    @ToFlyAppLog(title="通过id删除抢维修审核结束表" )
    @ApiOperation(value = "通过ID删除抢维修审核结束表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    @DeleteMapping("/{id}" )
    public ResultRespone removeById(@PathVariable Long id) {
      return ResultRespone.success(rushRepairAuditEndService.removeById(id));
    }

    *//**
     * 通过id批量删除抢维修审核结束表
     * @param ids id
     * @return ResultRespone
     *//*
    @ToFlyAppLog(title="通过id批量删除抢维修审核结束表" )
    @ApiOperation(value = "通过ID批量删除抢维修审核结束表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
    })
    @DeleteMapping("/deleteByIds" )
    public ResultRespone removeById(String ids) {
        return ResultRespone.success(rushRepairAuditEndService.removeByIds(Arrays.asList(ids.split(","))));
    }*/
}
