/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.dyrq.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.dyrq.entity.RushRepair;
import com.tofly.dyrq.service.RushRepairService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.web.bind.annotation.ModelAttribute;

import java.util.Arrays;
/**
 * 抢维修工单表
 *
 * @author Zhangyu
 * @date Tue Jun 16 00:00:00 GMT+08:00 2020
 */
@RestController
@AllArgsConstructor
@RequestMapping("/rushrepair")
@Api(tags="抢维修工单表接口")
public class RushRepairController {
/*
    private final  RushRepairService rushRepairService;

    *//**
    * 分页查询
    * @param page 分页对象
    * @param rushRepair 抢维修工单表
    * @return
    *//*
    @GetMapping("/page" )
    @ApiOperation(value = "分页查询")
    public ResultRespone getRushRepairPage(Page page, @ModelAttribute RushRepair rushRepair) {
      return ResultRespone.success(rushRepairService.page(page, Wrappers.query(rushRepair)));
    }


    *//**
     * 通过id查询抢维修工单表
     * @param id id
     * @return ResultRespone
     *//*
    @GetMapping("/{id}" )
    @ApiOperation(value = "通过ID查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    public ResultRespone getById(@PathVariable("id" ) Long id) {
      return ResultRespone.success(rushRepairService.getById(id));
    }*/

   /* *//**
     * 新增抢维修工单表
     * @param rushRepair 抢维修工单表
     * @return ResultRespone
     *//*
    @ToFlyAppLog(title="新增抢维修工单表" )
    @ApiOperation(value = "新增抢维修工单表")
    @PostMapping
    public ResultRespone save(@RequestBody RushRepair rushRepair) {
      return ResultRespone.success(rushRepairService.save(rushRepair));
    }

    *//**
     * 修改抢维修工单表
     * @param rushRepair 抢维修工单表
     * @return ResultRespone
     *//*
    @ToFlyAppLog(title="修改抢维修工单表" )
    @ApiOperation(value = "修改抢维修工单表")
    @PutMapping
    public ResultRespone updateById(@RequestBody RushRepair rushRepair) {
      return ResultRespone.success(rushRepairService.updateById(rushRepair));
    }

    *//**
     * 通过id删除抢维修工单表
     * @param id id
     * @return ResultRespone
     *//*
    @ToFlyAppLog(title="通过id删除抢维修工单表" )
    @ApiOperation(value = "通过ID删除抢维修工单表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    @DeleteMapping("/{id}" )
    public ResultRespone removeById(@PathVariable Long id) {
      return ResultRespone.success(rushRepairService.removeById(id));
    }

    *//**
     * 通过id批量删除抢维修工单表
     * @param ids id
     * @return ResultRespone
     *//*
    @ToFlyAppLog(title="通过id批量删除抢维修工单表" )
    @ApiOperation(value = "通过ID批量删除抢维修工单表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
    })
    @DeleteMapping("/deleteByIds" )
    public ResultRespone removeById(String ids) {
        return ResultRespone.success(rushRepairService.removeByIds(Arrays.asList(ids.split(","))));
    }*/
}
