/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.dyrq.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.dyrq.entity.TfPdaTaskResponse;
import com.tofly.dyrq.service.TfPdaTaskResponseService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.web.bind.annotation.ModelAttribute;

/**
 * 工单反馈表
 *
 * @author admin
 * @date Wed Apr 01 00:00:00 CST 2020
 */
@RestController
@AllArgsConstructor
//@RequestMapping("/tfpdataskresponse")
//@Api(tags="工单反馈表接口")
public class TfPdaTaskResponseController {

    private final  TfPdaTaskResponseService tfPdaTaskResponseService;

//    /**
//    * 分页查询
//    * @param page 分页对象
//    * @param tfPdaTaskResponse 工单反馈表
//    * @return
//    */
//    @GetMapping("/page" )
//    @ApiOperation(value = "分页查询")
//    public ResultRespone getTfPdaTaskResponsePage(Page page, @ModelAttribute TfPdaTaskResponse tfPdaTaskResponse) {
//      return ResultRespone.success(tfPdaTaskResponseService.page(page, Wrappers.query(tfPdaTaskResponse)));
//    }
//
//
//    /**
//     * 通过id查询工单反馈表
//     * @param id id
//     * @return ResultRespone
//     */
//    @GetMapping("/{id}" )
//    @ApiOperation(value = "通过ID查询")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "String")
//    })
//    public ResultRespone getById(@PathVariable("id" ) String id) {
//      return ResultRespone.success(tfPdaTaskResponseService.getById(id));
//    }
//
//    /**
//     * 新增工单反馈表
//     * @param tfPdaTaskResponse 工单反馈表
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="新增工单反馈表" )
//    @ApiOperation(value = "新增工单反馈表")
//    @PostMapping
//    public ResultRespone save(@RequestBody TfPdaTaskResponse tfPdaTaskResponse) {
//      return ResultRespone.success(tfPdaTaskResponseService.save(tfPdaTaskResponse));
//    }
//
//    /**
//     * 修改工单反馈表
//     * @param tfPdaTaskResponse 工单反馈表
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="修改工单反馈表" )
//    @ApiOperation(value = "修改工单反馈表")
//    @PutMapping
//    public ResultRespone updateById(@RequestBody TfPdaTaskResponse tfPdaTaskResponse) {
//      return ResultRespone.success(tfPdaTaskResponseService.updateById(tfPdaTaskResponse));
//    }
//
//    /**
//     * 通过id删除工单反馈表
//     * @param id id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id删除工单反馈表" )
//    @ApiOperation(value = "通过ID删除工单反馈表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "String")
//    })
//    @DeleteMapping("/{id}" )
//    public ResultRespone removeById(@PathVariable String id) {
//      return ResultRespone.success(tfPdaTaskResponseService.removeById(id));
//    }
}
