/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.dyrq.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.dyrq.entity.TfSysSetting;
import com.tofly.dyrq.service.TfSysSettingService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.web.bind.annotation.ModelAttribute;

/**
 * 系统配置表
 *
 * @author Zhangyu
 * @date Wed Apr 08 00:00:00 GMT+08:00 2020
 */
@RestController
@AllArgsConstructor
@RequestMapping("/tfsyssetting")
@Api(tags="系统配置表接口")
public class TfSysSettingController {

    private final  TfSysSettingService tfSysSettingService;

   /* *//**
    * 分页查询
    * @param page 分页对象
    * @param tfSysSetting 系统配置表
    * @return
    *//*
    @GetMapping("/page" )
    @ApiOperation(value = "分页查询")
    public ResultRespone getTfSysSettingPage(Page page, @ModelAttribute TfSysSetting tfSysSetting) {
      return ResultRespone.success(tfSysSettingService.page(page, Wrappers.query(tfSysSetting)));
    }*/


    /**
     * 通过id查询系统配置表
     * @param id id
     * @return ResultRespone
     *//*
    @GetMapping("/{id}" )
    @ApiOperation(value = "通过ID查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    public ResultRespone getById(@PathVariable("id" ) Long id) {
      return ResultRespone.success(tfSysSettingService.getById(id));
    }*/

    /**
     * 新增系统配置表
     * @param tfSysSetting 系统配置表
     * @return ResultRespone
     */
    /*@ToFlyAppLog(title="新增系统配置表" )
    @ApiOperation(value = "新增系统配置表")
    @PostMapping
    public ResultRespone save(@RequestBody TfSysSetting tfSysSetting) {
      return ResultRespone.success(tfSysSettingService.save(tfSysSetting));
    }
*/
    /**
     * 修改系统配置表
     * @param tfSysSetting 系统配置表
     * @return ResultRespone
     *//*
    @ToFlyAppLog(title="修改系统配置表" )
    @ApiOperation(value = "修改系统配置表")
    @PutMapping
    public ResultRespone updateById(@RequestBody TfSysSetting tfSysSetting) {
      return ResultRespone.success(tfSysSettingService.updateById(tfSysSetting));
    }*/

    /**
     * 通过id删除系统配置表
     * @param id id
     * @return ResultRespone
     *//*
    @ToFlyAppLog(title="通过id删除系统配置表" )
    @ApiOperation(value = "通过ID删除系统配置表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
    })
    @DeleteMapping("/{id}" )
    public ResultRespone removeById(@PathVariable Long id) {
      return ResultRespone.success(tfSysSettingService.removeById(id));
    }*/
}
