/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.dyrq.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.dyrq.entity.TroubleFile;
import com.tofly.dyrq.service.TroubleFileService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.web.bind.annotation.ModelAttribute;

import java.util.Arrays;
/**
 * 隐患上报附件表
 *
 * @author admin
 * @date Thu Jun 18 00:00:00 CST 2020
 */
@RestController
@AllArgsConstructor
@RequestMapping("/troublefile")
@Api(tags="隐患上报附件表接口")
public class TroubleFileController {

//    private final  TroubleFileService troubleFileService;

//    /**
//    * 分页查询
//    * @param page 分页对象
//    * @param troubleFile 隐患上报附件表
//    * @return
//    */
//    @GetMapping("/page" )
//    @ApiOperation(value = "分页查询")
//    public ResultRespone getTroubleFilePage(Page page, @ModelAttribute TroubleFile troubleFile) {
//      return ResultRespone.success(troubleFileService.page(page, Wrappers.query(troubleFile)));
//    }
//
//
//    /**
//     * 通过id查询隐患上报附件表
//     * @param createDate id
//     * @return ResultRespone
//     */
//    @GetMapping("/{createDate}" )
//    @ApiOperation(value = "通过ID查询")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "createDate", value = "ID", required = true, dataType = "Date")
//    })
//    public ResultRespone getById(@PathVariable("createDate" ) Date createDate) {
//      return ResultRespone.success(troubleFileService.getById(createDate));
//    }
//
//    /**
//     * 新增隐患上报附件表
//     * @param troubleFile 隐患上报附件表
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="新增隐患上报附件表" )
//    @ApiOperation(value = "新增隐患上报附件表")
//    @PostMapping
//    public ResultRespone save(@RequestBody TroubleFile troubleFile) {
//      return ResultRespone.success(troubleFileService.save(troubleFile));
//    }
//
//    /**
//     * 修改隐患上报附件表
//     * @param troubleFile 隐患上报附件表
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="修改隐患上报附件表" )
//    @ApiOperation(value = "修改隐患上报附件表")
//    @PutMapping
//    public ResultRespone updateById(@RequestBody TroubleFile troubleFile) {
//      return ResultRespone.success(troubleFileService.updateById(troubleFile));
//    }
//
//    /**
//     * 通过id删除隐患上报附件表
//     * @param createDate id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id删除隐患上报附件表" )
//    @ApiOperation(value = "通过ID删除隐患上报附件表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "createDate", value = "ID", required = true, dataType = "Date")
//    })
//    @DeleteMapping("/{createDate}" )
//    public ResultRespone removeById(@PathVariable Date createDate) {
//      return ResultRespone.success(troubleFileService.removeById(createDate));
//    }
//
//    /**
//     * 通过id批量删除隐患上报附件表
//     * @param ids id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id批量删除隐患上报附件表" )
//    @ApiOperation(value = "通过ID批量删除隐患上报附件表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
//    })
//    @DeleteMapping("/deleteByIds" )
//    public ResultRespone removeById(String ids) {
//        return ResultRespone.success(troubleFileService.removeByIds(Arrays.asList(ids.split(","))));
//    }
}
