package com.tofly.dyrq.custom.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class ConstructionSiteSearch {
    @ApiModelProperty(value = "工地监护模糊查询(名称,地点,描述)")
    private String nameOrAdsOrDesc;
    private String siteType;
    //private String workOrderId;
    private String constructionState;
    private String userIds;
    private Long creatUser;
    @ApiModelProperty(value = "工地监护派工人")
    private Long dispatchUserId;
    @ApiModelProperty(value = "工地监护负责人")
    private Long constructionPerson;
    @ApiModelProperty(value = "工地监护状态，多个状态以逗号隔开")
    private String constructionStates;
    @ApiModelProperty(hidden = true)
    private List<String> constructionStateList;
}
