package com.tofly.dyrq.custom.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

@Data
public class CustomMaintenanceContent {
    @ApiModelProperty(value = "检查设备类型id")
    private Long parentId;
    @ApiModelProperty(value = "检查设备类型名称",hidden = true)
    private String parentIdName;

    @ApiModelProperty(value = "检查内容ids(字符串用逗号隔开)")
    private List<Long> menuIds;

    @ApiModelProperty(value = "检查内容名称(字符串用逗号隔开)",hidden = true)
    private String menuIdsName;

    @ApiModelProperty(value = "检查内容备注")
    private String note;
}
