package com.tofly.dyrq.custom.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author tuonbed
 * @date 2020/9/16  17:29
 */
@Data
public class CustomPlanDeviceTypeQuery extends CustomPlanDeviceQuery{

    @ApiModelProperty(value = "设备类型ID")
    private Long deviceTypeId;
    @ApiModelProperty(value = "设备ID，多个以逗号隔开")
    private String sbids;
    @ApiModelProperty(hidden = true)
    private List<String> sbidList;
}
