package com.tofly.dyrq.custom.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.dyrq.entity.TfPdaTask;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

@Data
public class CustomTfPda  extends TfPdaTask {
    @ApiModelProperty(value = "标题,接单人模糊查询")
    @TableField(exist = false)
    private String filter;

    @ApiModelProperty(value = "起始时间")
    @TableField(exist = false)
    private String startDate;

    @ApiModelProperty(value = "结束时间")
    @TableField(exist = false)
    private String endDate;

    @TableField(exist = false)
    private String handleRecord;

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(exist = false)
    private Date finishDate;

    @TableField(exist = false)
    private List<String> fileids;
}
