package com.tofly.dyrq.custom.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class DesignSchema {
    @ApiModelProperty(value = "隐患ID[必填]",required = true)
    private Long id;

    @ApiModelProperty(value = "工单处理责任人[必填]",required = true)
    private Long handleUserid;

    @ApiModelProperty(value = "协同处理人员id字符串(用“,”隔开)")
    private String coprocessor;

    @ApiModelProperty(value = "整改方案说明[选填]")
    private String dutyPlanNote;

    @ApiModelProperty(value = "消息推送人员")
    private String sendUserIds;

    @ApiModelProperty(value = "是否由副部长审核方案(“0”:是,“1”:否)")
    private String flag;
}
