/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.dyrq.custom.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.data.elasticsearch.annotations.Document;
import org.springframework.data.elasticsearch.annotations.Field;
import org.springframework.data.elasticsearch.annotations.FieldType;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * 巡检设备信息上传表
 *
 * @author wangjian
 * @date Wed May 13 00:00:00 CST 2020
 */
@Data
public class EsPdaDeviceUpload{

        /**
     * $column.comments
     */
        @TableId(value = "DEL_FLAG",type= IdType.INPUT)
            @TableLogic
        @ApiModelProperty(value = "$column.comments")
                private String delFlag;
                /**
     * $column.comments
     */
            @ApiModelProperty(value = "$column.comments")
                private String id;
                /**
     * $column.comments
     */
            @ApiModelProperty(value = "$column.comments")
                private BigDecimal sid;
                /**
     * $column.comments
     */
            @ApiModelProperty(value = "$column.comments")
                private Long userid;
    @ApiModelProperty(hidden = true)
    private String UserName;
                /**
     * gps状态 0：关闭 1:打开[必填]
     */
            @ApiModelProperty(value = "gps状态 0：关闭 1:打开[必填]")
                private BigDecimal gpsState;
                /**
     * 网络类型：手机流量:1 wifi：2[选填]
     */
            @ApiModelProperty(value = "网络类型：手机流量:1 wifi：2[选填]")
                private BigDecimal networkType;
                /**
     * 网络状态 0：关闭 1：打开[必填]
     */
            @ApiModelProperty(value = "网络状态 0：关闭 1：打开[必填]")
                private BigDecimal networkState;
                /**
     * 设备检测时间[必填]
     */
            @ApiModelProperty(value = "设备检测时间[必填]")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
                private Date checkTime;
                /**
     * $column.comments
     */
            @ApiModelProperty(value = "$column.comments")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
            @Field(type = FieldType.Date,fielddata=true)
                private Date uploadtime;
                /**
     * 电量[必填]
     */
            @ApiModelProperty(value = "电量[必填]")
                private String electricity;
                /**
     * 工作状态 0：开机 1：上班  2：工作中  3：下班  4:异常[必填]
     */
            @ApiModelProperty(value = "工作状态 0：开机 1：上班  2：工作中  3：下班  4:异常[必填]")
                private BigDecimal workState;
                /**
     * 定位精度 [选填]
     */
            @ApiModelProperty(value = "定位精度 [选填]")
                private String gpsPrecision;
                /**
     * 卫星颗数 gps状态为1该项必填，gps状态为0时此项可填
     */
            @ApiModelProperty(value = "卫星颗数 gps状态为1该项必填，gps状态为0时此项可填")
                private BigDecimal gpsStar;
                /**
     * 剩余空间[选填]
     */
            @ApiModelProperty(value = "剩余空间[选填]")
                private String residualSpace;
                /**
     * 车辆唯一编码[选填]
     */
            @ApiModelProperty(value = "车辆唯一编码[选填]")
                private String carid;
                /**
     * 0：人巡 1：车巡[选填]
     */
            @ApiModelProperty(value = "0：人巡 1：车巡[选填]")
                private BigDecimal gpsType;
            
}
