package com.tofly.dyrq.custom.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

@Data
public class MaintenanceDeviceSearch {
    @ApiModelProperty(value = "记录id数组[选填]，如[1,2]")
    private List<Integer> ids;

    @ApiModelProperty(value = "查询起始日期[选填]yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startDate;

    @ApiModelProperty(value = "查询结束日期[选填]yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endDate;

    @ApiModelProperty(value = "巡检子计划ID")
    private Long childPlanId;

    @ApiModelProperty(value = "巡检计划临时点(point_id)")
    private Long planTempPointId;

    @ApiModelProperty(value = "记录创建人")
    private Long createUser;
}
