package com.tofly.dyrq.custom.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
@Data
public class PlanPointSearch {
    @ApiModelProperty(value = "巡检计划唯一编码字符串[选填],用‘,’隔开")
    private String planChildIds;
    @ApiModelProperty(value = "查询日期[选填] yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date searchDate;
    @ApiModelProperty(hidden = true)
    private Long userId;
}
