package com.tofly.dyrq.custom.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author pra
 * @date 2020/10/29 14:12
 * @description
 */
@Data
public class PlanReportBasis {
    @ApiModelProperty(value = "用户唯一编码")
    private Long userId;

    @ApiModelProperty(value = "用户名称")
    private String userName;
    /**
     * 所属组织部门编码
     */
    @ApiModelProperty(value = "所属组织部门编码")
    private Long departmentId;
    /**
     * 所属组织部门名称
     */
    @ApiModelProperty(value = "所属组织部门名称")
    private String depName;

    @ApiModelProperty(value = "管线巡检里程")
    private BigDecimal pipeLength;
    @ApiModelProperty(value = "巡检线巡检里程")
    private BigDecimal pathLength;

    @ApiModelProperty(value = "巡检点巡检个数")
    private int pointCount;
    @ApiModelProperty(value = "设备巡检个数")
    private int deviceCount;
}
