package com.tofly.dyrq.custom.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author pra
 * @date 2020/10/29 14:13
 * @description
 */
@Data
public class PlanReportDetailInfo {
    @ApiModelProperty(value = "巡检计划id")
    private Long planChildId;
    @ApiModelProperty(value = "巡检任务名称")
    private String planName;
    @ApiModelProperty(value = "任务计划周期")
    private String planPeriod;
    @ApiModelProperty(value = "计划起始时间")
    private Date planStartDate;
    @ApiModelProperty(value = "计划结束时间")
    private Date planEndDate;
    @ApiModelProperty(value = "巡检点类型")
    private Long pointType;
    @ApiModelProperty(value = "巡检点类型名称")
    private String pointTypeName;
    @ApiModelProperty(value = "类型 0：点 1：线")
    private String type;
    @ApiModelProperty(value = "片区名称")
    private String regionName;
    @ApiModelProperty(value = "巡检类型-人巡,车巡")
    private String planTypeName;
    @ApiModelProperty(value = "累计管线巡检里程数or累计巡检线巡检里程数")
    private BigDecimal pathLength;
    @ApiModelProperty(value = "累计巡检点个数or累计设备巡检个数")
    private BigDecimal pointCount;
    @ApiModelProperty(value = "累计完成率")
    private BigDecimal percent;
    @ApiModelProperty(value = "计划状态")
    private String state;
    @ApiModelProperty(value = "预计完成率")
    private String planRate;
    @ApiModelProperty(value = "预计完成率")
    private BigDecimal total1;
    @ApiModelProperty(value = "预计完成率")
    private BigDecimal isovertototal1;

}
