package com.tofly.dyrq.custom.entity;

import com.tofly.dyrq.vo.DailyPlanStaticsBasisVO;
import com.tofly.dyrq.vo.DailyPlanStaticsDetailInfoVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author pra
 * @date 2020/10/29 11:45
 * @description
 */
@Data
@ApiModel(description= "巡检报表数据返回对象")
public class PlanReportResult {

    @ApiModelProperty(value = "基础信息")
    private PlanReportBasis planReportBasis;
    /**
     * 详细信息
     */
    @ApiModelProperty(value = "详细信息")
    private List<PlanReportDetailInfo> planReportDetailInfo;
}
