package com.tofly.dyrq.custom.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author pra
 * @date 2020/11/5 14:44
 * @description
 */
@Data
public class PlanReportStatistics {

    /**
     * 公司Id
     */
    @ApiModelProperty(value = "公司Id")
    private Long companyId;
    /**
     * 公司名称
     */
    @ApiModelProperty(value = "公司名称")
    private String companyName;

    /**
     * 用户Id
     */
    @ApiModelProperty(value = "用户Id")
    private Long userId;
    /**
     * 用户名称
     */
    @ApiModelProperty(value = "用户名称")
    private String userName;
    /**
     * 工地发现个数
     */
    @ApiModelProperty(value = "工地发现个数")
    private BigDecimal buildingSiteFinded;
    /**
     * 发现隐患数
     */
    @ApiModelProperty(value = "发现隐患数")
    private BigDecimal troubleNum;
    /**
     * 发现隐患数
     */
    @ApiModelProperty(value = "发现抢维修数")
    private BigDecimal rushRepairNum;

    @ApiModelProperty(value = "计划管线长度")
    private BigDecimal pipeinplan;
    @ApiModelProperty(value = "实际管线长度")
    private BigDecimal pipepatroled;
    @ApiModelProperty(value = "管线完成率")
    private BigDecimal pipePercent;

    @ApiModelProperty(value = "计划巡检线长度")
    private BigDecimal pathinplan;
    @ApiModelProperty(value = "实际巡检线长度")
    private BigDecimal pathpatroled;
    @ApiModelProperty(value = "巡检线完成率")
    private BigDecimal pathPercent;

    @ApiModelProperty(value = "计划巡检点数量")
    private BigDecimal pointinplan;
    @ApiModelProperty(value = "实际巡检点数量")
    private BigDecimal pointpatroled;
    @ApiModelProperty(value = "巡检点数量完成率")
    private BigDecimal pointPercent;

    @ApiModelProperty(value = "计划设备数量")
    private BigDecimal equipmentsinplan;
    @ApiModelProperty(value = "实际设备数量")
    private BigDecimal equipmentspatroled;
    @ApiModelProperty(value = "设备数量完成率")
    private BigDecimal equipmentsPercent;

}
