package com.tofly.dyrq.custom.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.mysql.cj.jdbc.jmx.LoadBalanceConnectionGroupManager;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class PointNumSearch {
    @ApiModelProperty(value = "巡检模式 0：人巡 1：车巡 [必填]")
    private String planMode;
    @ApiModelProperty(value = "默认为当前时间[选填] yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date searchTime;
    @ApiModelProperty(value = "子计划id字符串[选填]，用‘,’隔开")
    private String planChildIds;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(hidden = true)
    private Date startTime;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(hidden = true)
    private Date endTime;
    @ApiModelProperty(hidden = true)
    private Long userId;

}

