package com.tofly.dyrq.custom.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
@Data
public class TransferSearch {
    @ApiModelProperty(value = "查询起始日期(选填)yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date childBeginDate;

    @ApiModelProperty(value = "查询结束日期(选填)yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date childEndDate;

    @ApiModelProperty(value = "计划状态，多个计划状态用','分隔(必填)")
    private String states;

    @ApiModelProperty(value = "申请人id")
    private String userId;
}
