package com.tofly.dyrq.custom.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class UndersecretaryCheck {
    @ApiModelProperty(value = "隐患ID[必填]",required = true)
    private Long id;

    @ApiModelProperty(value = "班组长审核备注")
    private String undersecretaryCheckNotes;

    @ApiModelProperty(value = "隐患审核状态 0:继续处理, 1:转入其他班组 2:转入副部长处理 3:转入存量隐患",required = true)
    private String state;

    @ApiModelProperty(value = "其他班组长[转入其他班组情况下必填]")
    private Long otherDutyUserId;

//    @ApiModelProperty(value = "副部长ID[转入副部长处理情况下必填]")
//    private Long undersecretaryId;

    /*@ApiModelProperty(value = "是否是存量隐患,true则转化成存量隐患[选填]")
    private Boolean isStock;*/

    @ApiModelProperty(value = "工单处理责任人[继续处理时填]")
    private Long handleUserid;

    @ApiModelProperty(value = "协同处理人员id字符串(用“,”隔开)[继续处理时填]")
    private String coprocessor;

    @ApiModelProperty(value = "整改方案说明[继续处理时填]")
    private String dutyPlanNote;

    @ApiModelProperty(value = "是否由副部长审核方案(“0”:是,“1”:否)[继续处理时填]")
    private String flag;

    @ApiModelProperty(value = "消息推送人员")
    private String sendUserIds;
}
