package com.tofly.dyrq.custom.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class UndertakerCheck {
    @ApiModelProperty(value = "隐患ID[必填]",required = true)
    private Long id;

    @ApiModelProperty(value = "(承办班班长指定)巡检人员[必填]",required = true)
    private Long undertakerHandleUserid;

    @ApiModelProperty(value = "承办班班长审核意见")
    private String undertakerCheckNotes;

    /*@ApiModelProperty(value = "承办班班长审核时间",hidden =true)
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date undertakerCheckTime;*/
}
