package com.tofly.dyrq.custom.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class UndertakerHandle {
    @ApiModelProperty(value = "隐患ID",required = true)
    private Long id;

    @ApiModelProperty(value = "是否为隐患(0:不是隐患 1:是隐患",required = true)
    private String state;

    @ApiModelProperty(value = "(承办班班长指定)巡检处理情况",required = true)
    private String undertakerHandleNotes;

    @ApiModelProperty(value = "隐患类型ID",required = true)
    private Long troubleTypeid;
    @ApiModelProperty(value = "隐患级别",required = true)
    private Long levelid;
    /*@ApiModelProperty(value = "隐患所属图层ID",required = true)
    private Long layerId;*/
    /*@ApiModelProperty(value = "隐患所属图层名称",required = true)
    private String layerName;*/
    @ApiModelProperty(value = "消息推送人员")
    private String sendUserIds;
}
