package com.tofly.dyrq.custom.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.util.StringUtil;
import com.tofly.dyrq.custom.entity.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface CustomConstructionSiteMapper {
    //CustomRushRepair getCustomRushRepairById(Long id);
    //List<RushRepairResult> getAll(@Param("rushRepairSearch") RushRepairSearch rushRepairSearch);
    //List<Map> pageByCondition(Page page, @Param("rushRepairSearch") RushRepairSearch rushRepairSearch);
    List<Map> getFilesName(Long id);

    List<Map> getVoice(Long id);

    List<Map> getEndFilesName(Long id);

    List<Map> getEndVoice(Long id);

    List<CustomConstructionProcess> getProcess(Long id);

    List<Map> getProcessFiles(Long id);

    List<Map> getProcessVoice(Long id);

    List<Long> getIdByRole(Long id);

    List<CustomConStructionAudit> getAuditList(Long id);

    List<Map> getAuditFiles(Long id);

    Object getauditMindName(@Param("auditmind") String auditmind);

    Object getsiteTypeName(@Param("siteType") String siteType);

    Object getconstructionStateName(@Param("constructionState") String constructionState);

    List<CustomConstructionSite> pageByCondition(Page page, @Param("constructionSiteSearch") ConstructionSiteSearch constructionSiteSearch, @Param("userIds") List<Long> userIds);

    List<CustomConstructionSite> pageByCondition2(Page page, @Param("constructionSiteSearch") ConstructionSiteSearch constructionSiteSearch, @Param("userIds") List<Long> userIds);

    List<CustomConstructionSite> pageByConditionByUser(Page page, @Param("constructionSiteSearch") ConstructionSiteSearchUser constructionSiteSearchUser);

    CustomConstructionSite getConstructionSiteById(Long id);
}
