package com.tofly.dyrq.custom.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.dyrq.custom.entity.MaintenanceDeviceSearch;
import com.tofly.dyrq.custom.entity.MaintenanceSearch;
import com.tofly.dyrq.entity.Plan;
import org.apache.ibatis.annotations.Param;
import org.mapstruct.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface CustomMaintenanceMapper {
    Object getGisUrl();
    Object getdeptName();
    List<Map> getMaintenanceDevicePage(Page page, @Param("maintenanceDeviceSearch") MaintenanceDeviceSearch maintenanceDeviceSearch);
    List<Map> getMaintenancePage(Page page,@Param("maintenanceSearch") MaintenanceSearch maintenanceSearch);
}
