package com.tofly.dyrq.custom.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.dyrq.custom.entity.*;
import com.tofly.dyrq.entity.Plan;
import com.tofly.dyrq.entity.PlanPointTemp;
import com.tofly.dyrq.entity.TfPlanPathTemp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface CustomPlanMapper {
     List<Map> getPlanPage(Page page, @Param("plan") Plan plan);
     List<Map> getPlanChildPage(Page page, @Param("childPlanSearch") ChildPlanSearch childPlanSearch,@Param("list") List<String> list);
     List<Map> getPlanChildPageByMoblie(Page page, @Param("childPlanSearch") ChildPlanSearch childPlanSearch,@Param("list") List<String> list);
     List<Map> getTransferPage(Page page, @Param("transferSearch") TransferSearch transferSearch, @Param("list") List<String> list);
     List<Map> getPlanPoint(@Param("planPointSearch") PlanPointSearch planPointSearch,@Param("list") List<String> list);
     List<Map> getPlanPointPage(Page page,@Param("planPointSearch") PlanPointSearch planPointSearch,@Param("list") List<String> list);
     List<Map> getPointNum(@Param("pointNumSearch") PointNumSearch pointNumSearch,@Param("list") List<String> list);
     List<Map> getChildPlanInfo(@Param("childPlanId") Long childPlanId);
     Long getPlanTempMaxId(@Param("tableName") String tableName);

     void insertBacthPointTemp(@Param("pointTempList") List<PlanPointTemp> pointTempList);
     void insertBacthPathTemp(@Param("pathTempList") List<TfPlanPathTemp> pathTempList);
     void insertBacthPointTempTransfer(@Param("pointTempList") List<PlanPointTemp> pointTempList);
     void insertBacthPathTempTransfer(@Param("pathTempList") List<TfPlanPathTemp> pathTempList);

     List<Map> getTodayPlan(@Param("childPlanId") Long childPlanId);
     List<Map> getPathTotalInfo(@Param("childPlanId") Long childPlanId);
     List<Map> getPathMaxSpeed(@Param("childPlanId") Long childPlanId);
}
