package com.tofly.dyrq.custom.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.dyrq.custom.entity.CustomRushRepairReportQuery;
import com.tofly.dyrq.custom.entity.CustomTrouble;
import com.tofly.dyrq.custom.entity.TroubleSearch;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;
import java.util.Set;

public interface CustomTroubleMapper {
    List<Map> pageByCondition(Page page, @Param("troubleSearch") TroubleSearch troubleSearch, @Param("userIds") Set<Long> userIds);

    List<String> getCoprocessorName(@Param("coprocessorIds") List<Long> coprocessorIds);

    List<Map> lxtj(CustomRushRepairReportQuery customRushRepairReportQuery);

    List<Map> qsfx(CustomRushRepairReportQuery customRushRepairReportQuery);

    String getUndersecretaryStateName(Long id);

    List<Long> getDeptUsers(@Param("deptId")Long deptId);

    CustomTrouble getById(@Param("id")Long id);

    List<Map> pageByConditionNew(Page page, @Param("troubleSearch") TroubleSearch troubleSearch, @Param("userIds") Set<Long> userIds);

}
