package com.tofly.dyrq.custom.mapper;

import com.tofly.dyrq.custom.entity.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface EquipmentPhotoMapper {
    List<Gasmeter> getGasmeterSid();

    List<Booster> getBoosterSid();

    List<Fitting> getFittingSid();

    List<Valve> getValveSid();

    List<Yjbh> getYjbhSid();

    void updateBooster(@Param("boosters") List<Booster> boosters);

    void updateGasmeter(@Param("gasmeters") List<Gasmeter> gasmeters);

    void updateFitting(@Param("fittings") List<Fitting> fittings);

    void updateValve(@Param("valves") List<Valve> valves);

    void updateYjbh(@Param("yjbhs") List<Yjbh> yjbhs);
}
