package com.tofly.dyrq.custom.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.dyrq.custom.entity.CustomQrLayer;
import com.tofly.dyrq.custom.entity.CustomSysDatabase;
import com.tofly.dyrq.custom.entity.UserPda;
import com.tofly.dyrq.entity.PdaDevice;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author tuonbed
 * @date 2020/4/1  9:55
 */
@Mapper
public interface OtherMapper {

    public List<UserPda> getUsersPda(Page page, @Param("user") UserPda user);

    public List<Map> getUsersPdaByMobile(Page page, @Param("user") UserPda user);

    public List<Map> getPdaDevices(Long id);

    public String getSignTypeByUser(Long id);

    String getDeptName(Long deptId);

    String getUserDeptName(Long userId);

    Long getUserDept(Long userId);

    public List<Map> getUsers();

    public List<Map> getDepts();

    public int insertQrLayer(CustomQrLayer customQrLayer);

    public List<Map> getQrLayer(CustomQrLayer customQrLayer);

    public List<Map> getSysDataSpace(Page page);

    public void updateSysDataBase(CustomSysDatabase customSysDatabase);

    public List<Map> getMaintenanceMenuPage(Page page, @Param("name") String name);
}
