package com.tofly.dyrq.custom.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.dyrq.custom.entity.*;
import com.tofly.dyrq.entity.Plan;

import java.util.List;
import java.util.Map;

/**
 * @author tuonbed
 * @date 2020/4/13  13:41
 */
public interface CustomPlanService {

    boolean updateGpsRegion(RegionValidEntity regionValidEntity);

    boolean savePlan(CustomPlan customPlan);

    boolean removeByIds(String ids);

    Page<Map> getPlanPage(Page page, Plan plan);

    Page<Map> getPlanChildPage(Page page, ChildPlanSearch childPlanSearch);

    boolean removeChildPlanByIds(String ids);

    boolean transferPlan(String ids,String Note);

    boolean checkTransferPlan(CheckTransferPlan checkTransferPlan);

    Page<Map> getTransferPage(Page page, TransferSearch transferSearch);

    Page<Map> getPlanChildPageByMoblie(Page page, ChildPlanSearch childPlanSearch);

    List<Map> getPlanPoint(PlanPointSearch planPointSearch);

    Page<Map> getPlanPointPage(Page page,PlanPointSearch planPointSearch);

    void uploadPlanState();

    List<Map> getPointNum(PointNumSearch pointNumSearch);

    List<Map> getChildPlanInfo(Long childPlanId);
}
