package com.tofly.dyrq.custom.service;

import com.tofly.dyrq.custom.entity.UpdatePoint;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

public interface CustomPointService {
    /**
     * 更新点到位或线所属点的到位状态
     *
     * @param updatePoints
     * @return
     */
    public Map<String,Long> updatePointOrPathIsover(List<UpdatePoint> updatePoints);

    public void executPoint();
    
    public void executPath();
    
    public void executChild();

}
