/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.dyrq.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.tofly.common.core.constant.ToflySqlCondition;
import com.tofly.common.entity.CommonCode;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 工地监护审核结束附件中间表
 *
 * @author Zhangyu
 * @date Sun Jun 28 00:00:00 GMT+08:00 2020
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_CONSTRUCTION_FILETOAUDIT",resultMap = "constructionFiletoauditMap")
@KeySequence("TF_CONSTRUCTION_FILETOAUDIT")
@ApiModel
public class ConstructionFiletoaudit extends Model<ConstructionFiletoaudit> {
    private static final long serialVersionUID = 1L;

        /**
     * 主键ID
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "主键ID")
                private Long id;
                /**
     * 审核结束表ID
     */
            @ApiModelProperty(value = "审核结束表ID")
                private Long auditEndId;
                /**
     * 工地监护文件表ID
     */
            @ApiModelProperty(value = "工地监护文件表ID")
                private Long fileId;
                /**
     * 删除标记
     */
            @TableLogic
        @ApiModelProperty(value = "删除标记")
                private String delFlag;
            
}
