/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.dyrq.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.tofly.common.core.constant.ToflySqlCondition;
import com.tofly.common.entity.CommonCode;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 工地监护过程管理附件中间表
 *
 * @author Zhangyu
 * @date Sun Jun 28 00:00:00 GMT+08:00 2020
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_CONSTRUCTION_FILETOPROCESS",resultMap = "constructionFiletoprocessMap")
@KeySequence("TF_CONSTRUCTION_FILETOPROCESS")
@ApiModel
public class ConstructionFiletoprocess extends Model<ConstructionFiletoprocess> {
    private static final long serialVersionUID = 1L;

        /**
     * 主键
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "主键")
                private Long id;
                /**
     * 过程管理表ID
     */
            @ApiModelProperty(value = "过程管理表ID")
                private Long processManageId;
                /**
     * 工地文件表ID
     */
            @ApiModelProperty(value = "工地文件表ID")
                private Long fileId;
                /**
     * 删除标记
     */
            @TableLogic
        @ApiModelProperty(value = "删除标记")
                private String delFlag;
            
}
