/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.dyrq.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.tofly.common.core.constant.ToflySqlCondition;
import com.tofly.common.entity.CommonCode;
import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * ${comments}
 *
 * @author admin
 * @date Sat May 09 00:00:00 CST 2020
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_PDA_DEVICE_UPLOAD",resultMap = "deviceUploadMap")
@KeySequence("TF_PDA_DEVICE_UPLOAD")
@ApiModel
public class DeviceUpload extends Model<DeviceUpload> {
    private static final long serialVersionUID = 1L;

        /**
     * $column.comments
     */
            @TableLogic
        @ApiModelProperty(value = "$column.comments",hidden = true)
                private String delFlag;
                /**
     * $column.comments
     */
                @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "",hidden = true)
                private Long id;
                /**
     * $column.comments
     */
            @ApiModelProperty(value = "")
                private BigDecimal sid;
                /**
     * $column.comments
     */
            @ApiModelProperty(value = "userid")
                private Long userid;
                /**
     * gps状态 0：关闭 1:打开[必填]
     */
            @ApiModelProperty(value = "gps状态 0：关闭 1:打开[必填]")
                private BigDecimal gpsState;
                /**
     * 网络类型：手机流量:1 wifi：2[选填]
     */
            @ApiModelProperty(value = "网络类型：手机流量:1 wifi：2[选填]")
                private BigDecimal networkType;
                /**
     * 网络状态 0：关闭 1：打开[必填]
     */
            @ApiModelProperty(value = "网络状态 0：关闭 1：打开[必填]")
                private BigDecimal networkState;
                /**
     * 设备检测时间[必填]
     */
            @ApiModelProperty(value = "设备检测时间[必填]")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
                private Date checkTime;
                /**
     * $column.comments
     */
            @ApiModelProperty(value = "uploadTime")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
                private Date uploadTime;
                /**
     * 电量[必填]
     */
            @ApiModelProperty(value = "电量[必填]")
                private String electricity;
                /**
     * 工作状态 0：开机 1：上班  2：工作中  3：下班  4:异常[必填]
     */
            @ApiModelProperty(value = "工作状态 0：开机 1：上班  2：工作中  3：下班  4:异常[必填]")
                private BigDecimal workState;
                /**
     * 定位精度 [选填]
     */
            @ApiModelProperty(value = "定位精度 [选填]")
                private String gpsPrecision;
                /**
     * 卫星颗数 gps状态为1该项必填，gps状态为0时此项可填
     */
            @ApiModelProperty(value = "卫星颗数 gps状态为1该项必填，gps状态为0时此项可填")
                private BigDecimal gpsStar;
                /**
     * 剩余空间[选填]
     */
            @ApiModelProperty(value = "剩余空间[选填]")
                private String residualSpace;
                /**
     * 车辆唯一编码[选填]
     */
            @ApiModelProperty(value = "车辆唯一编码[选填]")
                private String carid;
                /**
     * 0：人巡 1：车巡[选填]
     */
            @ApiModelProperty(value = "0：人巡 1：车巡[选填]")
                private BigDecimal gpsType;
            
}
