/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.dyrq.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.tofly.common.core.constant.ToflySqlCondition;
import com.tofly.common.entity.CommonCode;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 巡护检查内容记录表
 *
 * @author admin
 * @date Fri Jun 05 00:00:00 CST 2020
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_MAINTENANCE_CONTENT",resultMap = "maintenanceContentMap")
@KeySequence("TF_MAINTENANCE_CONTENT")
@ApiModel
public class MaintenanceContent extends Model<MaintenanceContent> {
    private static final long serialVersionUID = 1L;

        /**
     * 唯一编码
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "唯一编码")
                private Long id;
                /**
     * 上报记录表ID
     */
            @ApiModelProperty(value = "上报记录表ID")
                private Long recordId;
                /**
     * 检查内容ID
     */
            @ApiModelProperty(value = "检查内容ID")
                private Long menuId;
                /**
     * 备注
     */
            @ApiModelProperty(value = "备注")
                private String note;
            
}
