/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.dyrq.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.tofly.common.core.constant.ToflySqlCondition;
import com.tofly.common.entity.CommonCode;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 设备设施登记保养关联表
 *
 * @author admin
 * @date Fri Jun 05 00:00:00 CST 2020
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_MAINTENANCE_DEVICE_CON",resultMap = "maintenanceDeviceConMap")
@KeySequence("TF_MAINTENANCE_DEVICE_CON")
@ApiModel
public class MaintenanceDeviceCon extends Model<MaintenanceDeviceCon> {
    private static final long serialVersionUID = 1L;

        /**
     * 唯一编码
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "唯一编码")
                private Long id;
                /**
     * 登记表ID
     */
            @ApiModelProperty(value = "登记表ID")
                private Long deviceRecordId;
                /**
     * 保养内容ID
     */
            @ApiModelProperty(value = "保养内容ID")
                private Long typeId;
            @TableField(exist = false)
            private String typeIdName;
                /**
     * $column.comments
     */
            @TableLogic
        @ApiModelProperty(value = "$column.comments")
                private String delFlag;
            
}
