/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.dyrq.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.tofly.common.core.constant.ToflySqlCondition;
import com.tofly.common.entity.CommonCode;
import java.math.BigDecimal;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 巡检周期表
 *
 * @author wangjian
 * @date Mon Apr 20 00:00:00 CST 2020
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_PLAN_PERIOD_TYPE",resultMap = "planPeriodTypeMap")
@KeySequence("TF_PLAN_PERIOD_TYPE")
@ApiModel
public class PlanPeriodType extends Model<PlanPeriodType> {
    private static final long serialVersionUID = 1L;

        /**
     * $column.comments
     */
            @TableLogic
        @ApiModelProperty(value = "$column.comments")
                private String delFlag;
                /**
     * 巡检周期id
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "巡检周期id")
                private Long id;
                /**
     * 巡检周期类型名称
     */
            @ApiModelProperty(value = "巡检周期类型名称")
                private String periodName;
                /**
     * 间隔天数
     */
            @ApiModelProperty(value = "间隔天数")
                private BigDecimal intervalDays;
                /**
     * 描述
     */
            @ApiModelProperty(value = "描述")
                private String description;
            
}
