/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.dyrq.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.tofly.common.core.constant.ToflySqlCondition;
import com.tofly.common.entity.CommonCode;
import java.math.BigDecimal;

import java.sql.Timestamp;
import java.util.List;
import java.util.stream.Collectors;


/**
 * scada最新数据表
 *
 * @author admin
 * @date Tue Apr 14 00:00:00 CST 2020
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="SCADAPNTS",resultMap = "scadapntsMap")
@KeySequence("SCADAPNTS")
@ApiModel
public class Scadapnts extends Model<Scadapnts> {
    private static final long serialVersionUID = 1L;

        /**
     * $column.comments
     */
        @ApiModelProperty(value = "$column.comments")
                private String delFlag;
                /**
     * $column.comments
     */
        @ApiModelProperty(value = "$column.comments")
                private String name;
                /**
     * $column.comments
     */
        @ApiModelProperty(value = "$column.comments")
                private String description;
                /**
     * $column.comments
     */
        @ApiModelProperty(value = "$column.comments")
                private BigDecimal ownerFid;
                /**
     * $column.comments
     */
        @ApiModelProperty(value = "$column.comments")
                private Long ownerFno;
                /**
     * $column.comments
     */
        @ApiModelProperty(value = "$column.comments")
                private Double value1;
                /**
     * $column.comments
     */
        @ApiModelProperty(value = "$column.comments")
                private String unit;
                /**
     * $column.comments
     */
        @ApiModelProperty(value = "$column.comments")
                private Double maxval;
                /**
     * $column.comments
     */
        @ApiModelProperty(value = "$column.comments")
                private Double minval;
                /**
     * $column.comments
     */
        @ApiModelProperty(value = "$column.comments")
                private Long groupby;
                /**
     * $column.comments
     */
        @ApiModelProperty(value = "$column.comments")
                private BigDecimal top1;
                /**
     * $column.comments
     */
        @ApiModelProperty(value = "$column.comments")
                private BigDecimal left1;
                /**
     * $column.comments
     */
        @ApiModelProperty(value = "$column.comments")
                private String time1;
                /**
     * $column.comments
     */
        @ApiModelProperty(value = "$column.comments")
                private BigDecimal importNum;
                /**
     * $column.comments
     */
        @ApiModelProperty(value = "$column.comments")
                private String type;
                /**
     * $column.comments
     */
        @ApiModelProperty(value = "$column.comments")
                private Short orientation;
                /**
     * $column.comments
     */
        @ApiModelProperty(value = "$column.comments")
                private Short isize;
                /**
     * 设备时间
     */
        @ApiModelProperty(value = "设备时间")
                private Timestamp scadatime;
                /**
     * 服务器时间
     */
        @ApiModelProperty(value = "服务器时间")
                private Timestamp updatetime;
            
}
