/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.dyrq.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.tofly.common.core.constant.ToflySqlCondition;
import com.tofly.common.entity.CommonCode;
import java.math.BigDecimal;

import java.util.List;
import java.util.stream.Collectors;


/**
 * scada站点表
 *
 * @author admin
 * @date Tue Apr 14 00:00:00 CST 2020
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="SCADAPNTS_CON",resultMap = "scadapntsConMap")
@KeySequence("SCADAPNTS_CON")
@ApiModel
public class ScadapntsCon extends Model<ScadapntsCon> {
    private static final long serialVersionUID = 1L;

        /**
     * $column.comments
     */
        @ApiModelProperty(value = "$column.comments")
                private String delFlag;
                /**
     * 站点编号
     */
        @ApiModelProperty(value = "站点编号")
                private String ptid;
                /**
     * 站点变量名
     */
        @ApiModelProperty(value = "站点变量名")
                private String valname;
                /**
     * 屏幕坐标x
     */
        @ApiModelProperty(value = "屏幕坐标x")
                private BigDecimal x;
                /**
     * 屏幕坐标y
     */
        @ApiModelProperty(value = "屏幕坐标y")
                private BigDecimal y;
                /**
     * 分组（简略、详细等用于在不同的界面展示）
     */
        @ApiModelProperty(value = "分组（简略、详细等用于在不同的界面展示）")
                private String itemGroup;
            
}
