/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.dyrq.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.tofly.common.core.constant.ToflySqlCondition;
import com.tofly.common.entity.CommonCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 工单反馈表
 *
 * @author admin
 * @date Wed Apr 01 00:00:00 CST 2020
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_PDA_TASK_RESPONSE",resultMap = "tfPdaTaskResponseMap")
@KeySequence("TF_PDA_TASK_RESPONSE")
@ApiModel
public class TfPdaTaskResponse extends Model<TfPdaTaskResponse> {
    private static final long serialVersionUID = 1L;

        /**
     * 编号
     */
        @TableId(value = "ID",type= IdType.INPUT)
        @ApiModelProperty(value = "编号")
                private Long id;
            /**
     * 工单编号
     */
        @ApiModelProperty(value = "工单编号")
                private Long taskid;
            /**
     * 处理情况
     */
        @ApiModelProperty(value = "处理情况")
                private String handleRecord;
            /**
     * 实际完工时间
     */
        @ApiModelProperty(value = "实际完工时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
                private Date finishDate;


//    @TableField(exist = false)
//    private List<TfPdaResponseFile>  tfPdaResponseFiles;    @TableField(exist = false)
//    private List<TfPdaResponseFile>  tfPdaResponseFiles;
@TableLogic
private String delFlag;
}
