/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.dyrq.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.dyrq.custom.entity.DevopHistory;
import com.tofly.dyrq.entity.DevopsEquipment;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;

import java.util.List;

/**
 * 管网运维部工具类设备清单录入表
 *
 * @author Zhangyu
 * @date Thu May 28 00:00:00 GMT+08:00 2020
 */
public interface DevopsEquipmentMapper extends BaseMapper<DevopsEquipment> {
    Object getequipmentStateName(@Param("equipmentState") String equipmentState);

    Object getsourceTransferName(@Param("sourceTransfer") String sourceTransfer);

    List<DevopsEquipment> getAll();

    void updateByIds(@Param("idList") List<Long> ids);

    void updateAll();

    List<DevopsEquipment> getHistory(Page page, @Param("devopHistory")DevopHistory devopHistory);
}
