/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.dyrq.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.dyrq.entity.PlanPoint;
import com.tofly.dyrq.service.PlanPointService;
import org.springframework.stereotype.Service;
import com.tofly.dyrq.mapper.PlanPointMapper;

/**
 * 巡检点表
 *
 * @author wangjian
 * @date Fri Apr 10 00:00:00 CST 2020
 */
@Service("planPointService")
public class PlanPointServiceImpl extends ServiceImpl<PlanPointMapper, PlanPoint> implements PlanPointService {

    @Override
    public String isPlan(Long pointId) {
        return (String)baseMapper.getisPlan(pointId);
    }
}
