/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.dyrq.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.dyrq.entity.TfPdaTask;
import com.tofly.dyrq.service.TfPdaTaskService;
import org.springframework.stereotype.Service;
import com.tofly.dyrq.mapper.TfPdaTaskMapper;

import java.util.List;
import java.util.Map;

/**
 * 工单记录表
 *
 * @author admin
 * @date Mon Mar 30 00:00:00 CST 2020
 */
@Service("tfPdaTaskService")
public class  TfPdaTaskServiceImpl extends ServiceImpl<TfPdaTaskMapper, TfPdaTask> implements TfPdaTaskService {

    @Override
    public Page getTaskPage(Page page, TfPdaTask tfPdaTask){ return  page.setRecords(baseMapper.getTaskPage(page,tfPdaTask));}

    @Override
    public List<Map> getDetailbyId(Long id){ return baseMapper.getDetailbyId(id);}

    @Override
    public TfPdaTask gettfPdaTaskDetail(Long id) {
        return baseMapper.gettfPdaTaskDetail(id);
    }
}
