package com.tofly.dyrq.util;

import com.tofly.dyrq.entity.PlanPointTemp;
import com.tofly.dyrq.entity.TfPlanPathTemp;
import org.springframework.context.ApplicationEvent;

import java.util.ArrayList;
import java.util.List;

/**
 * @author tuonbed
 * @date 2020/9/22  10:44
 */
public class PlanDetailEvent extends ApplicationEvent {

    private List<PlanPointTemp> pointTempList=new ArrayList<>();
    private List<TfPlanPathTemp> pathTempList=new ArrayList<>();

//    private Long pointMaxId;
//    private Long pathMaxId;
//    /**
//     * Create a new ApplicationEvent.
//     *
//     * @param source the object on which the event initially occurred (never {@code null})
//     */
//    public PlanDetailEvent(Object source,List<PlanPointTemp> pointTempList,
//                           List<TfPlanPathTemp> pathTempList,long pointMaxId,long pathMaxId) {
//        super(source);
//        this.pointTempList.addAll(pointTempList);
//        this.pathTempList.addAll(pathTempList);
//        this.pointMaxId=pointMaxId;
//        this.pathMaxId=pathMaxId;
//    }

    public PlanDetailEvent(Object source,List<PlanPointTemp> pointTempList,
                           List<TfPlanPathTemp> pathTempList) {
        super(source);
        this.pointTempList.addAll(pointTempList);
        this.pathTempList.addAll(pathTempList);
    }

    public List<PlanPointTemp> getPointTempList() {
        return pointTempList;
    }

    public List<TfPlanPathTemp> getPathTempList() {
        return pathTempList;
    }

//    public Long getPointMaxId() {
//        return pointMaxId;
//    }
//
//    public Long getPathMaxId() {
//        return pathMaxId;
//    }
}
