package com.tofly.dyrq.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @program: tofly-dyrq
 * @description: 巡检报表日/月报表详细数据前端返回对象
 * @author: Sumer
 * @create: 2020-09-08 16:05
 */
@Data
public class DailyPlanStaticsDetailInfoVO {
    /**
     * 任务计划周期
     */
    @ApiModelProperty(value = "任务计划周期")
    private String planDate;
    /**
     * 完成进度
     */
    @ApiModelProperty(value = "完成进度")
    private BigDecimal percent;
    /**
     * 巡检周期类型名称
     */
    @ApiModelProperty(value = "巡检周期类型名称")
    private String periodName;
    /**
     * 隐患设备名称
     */
    @ApiModelProperty(value = "隐患设备名称")
    private String deviceTypeName;

    /**
     * 隐患设备类型
     */
    @ApiModelProperty(value = "隐患设备类型")
    private String deviceTypeId;

    /**
     * 区域名称
     */
    @ApiModelProperty(value = "区域名称")
    private String regionName;
    /**
     *
     */
    private String mustCheck;
    /**
     *
     */
    @ApiModelProperty(value = "点详细信息")
    private List<DailyPlanStaticsPointVO> pointDetail;

}