package com.tofly.dyrq.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @program: tofly-dyrq
 * @description: 巡检报表日/月报表点数据前端返回对象
 * @author: Sumer
 * @create: 2020-09-08 16:08
 */
@Data
public class DailyPlanStaticsPointVO {
    @ApiModelProperty(value = "点名称")
    private String pointName;
    @ApiModelProperty(value = "点信息")
    private String pointInfo;
    @ApiModelProperty(value = "点速度")
    private BigDecimal pointSpeed;
}